<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use DB;
use App\Models\Client; 
use App\Models\Penalite; 
use Carbon\Carbon; 

class PenaliteCreate extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'penalite:create';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Add penality';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Penalite::create([
            'client_id' => 2, 
            'dossier_id' => 2,
            'montant' => 1000, 
            'date' => Carbon::now(),
            'mois' => Carbon::now()->month, 
            'annee' => Carbon::now()->year
        ]);

        $clients = Client::all(); 
        $versements = DB::table('versements')->where('versements.mois', '=', Carbon::now()->month)->where('versements.annee', '=', Carbon::now()->year)->get(); 
        $v_idclient = 0; 
        

        if(Carbon::now()->day >= 16) {
            foreach($clients as $c){
                foreach($versements as $v){
                    $v_idclient = $v->client_id;
                    $dossier_id = $v->dossier_id; 
                    
                    if($c->id == $v->client_id) {
                        break;
                    }
            
                } 
                if($c->id != $v_idclient) {
                    $dossiers = DB::table('dossiers')->where('dossiers.client_id', '=', $c->id)->get(); 

                    foreach($dossiers as $d) {
                        Penalite::create([
                            'client_id' => $c->id, 
                            'dossier_id' => $d->id,
                            'montant' => 1000, 
                            'date' => Carbon::now(),
                            'mois' => Carbon::now()->month, 
                            'annee' => Carbon::now()->year
                        ]);
                    }
                }
            }
        }
    }
}
