<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Document; 
use App\Models\Dossier; 
use App\Models\Client;  
use DB;
use Session; 

class DocumentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($id)
    {
        //
        $documents = Document::all(); 
        $client = Client::find($id); 
        
        return view('document.index')->with('documents', $documents)->with('client', $client);
    }

    public function MesDocuments($id)
    {
        //
        $documents = Document::all(); 
        $client = Client::find($id); 
        
        return view('dossier.mes_documents')->with('documents', $documents)->with('client', $client);
    }

    public function listeDocument($id)
    {
        //
       
        $dossier = Dossier::find($id); 
        $documents = DB::table('documents')->where('dossier_id', '=', $id)->get(); 
        $client = Client::find($dossier->client_id); 

        return view('document.index')->with('documents', $documents)->with('client', $client)->with('dossier', $dossier);
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create($id, $dossier_id)
    {
        //
        return view('document.create')->with('client_id', $id)->with('dossier_id', $dossier_id); 
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $request->validate([
            'document' => 'required|file|mimes:pdf,jpeg,jpg',
        ]); 
      

        $fileName = time() .'-'. $request->file('document')->getClientOriginalName();  

        $request->document->move(public_path('uploads'), $fileName);

        /* Store $fileName name in DATABASE from HERE */

        Document::create([
            'document' => $fileName, 
            'dossier_id' => $request->dossier_id 
        ]);
        Session::flash('success', 'Document ajoute avec succee !'); 

        return redirect()->route('document.liste', ['id' => $request->dossier_id]); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function delete(Request $request)
    {
        //
  

        Document::destroy($request->document_id); 

        Session::flash('success', 'Document supprime avec succee !'); 

        return redirect()->back(); 
    }
}
