<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Client; 
use App\Models\Versement; 
use App\Models\Dossier; 
use DB; 
use Session; 
class DocumentpdfController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    public function contrat($id) 
    { 
        $dossier = DB::table('dossiers')
        ->join('clients', 'clients.id', '=', 'dossiers.client_id')
        ->join('agents', 'agents.id', '=', 'dossiers.agent_id')
        ->join('programmes', 'programmes.id', 'dossiers.programme_id')
        ->select('dossiers.id', 'dossiers.programme_id', 'dossiers.date', 'dossiers.duree_contrat', 'dossiers.etat',
        'dossiers.montant_contrat', '.dossiers.montant_verse', 
        'dossiers.client_id', 'clients.nom as client_nom', 'clients.prenom as client_prenom',
        'agents.nom as agent_nom', 'agents.prenom as agent_prenom',
        'programmes.site')
        ->where('dossiers.id', '=', $id)->get(); 

        if($dossier->count() == 0)
        {
            Session::flash('info', 'Entrée non disponible !');
            return redirect()->back(); 
        }
        $parcelles = DB::table('parcelles')
                    ->join('programmes', 'programmes.id', '=', 'parcelles.id_site')
                    ->select('parcelles.id' , 'programmes.site', 'parcelles.numero', 'parcelles.surface')
                    ->where('id_client', '=', $dossier[0]->client_id)
                    ->where('programmes.id', '=', $dossier[0]->programme_id)
                    ->get();

        $versement = Versement::where('client_id', '=', $dossier[0]->client_id)
        ->where('dossier_id', '=', $dossier[0]->id)
        ->where('libelle', '=', 'Acompte')
        ->get(); 

       if($versement->count() == 0)
       {
           Session::flash('info', 'Veuillez renseigner l\'accompte !');
           return redirect()->back();
       }
        $client = Client::find($dossier[0]->client_id); 
 
        return view('docpdf.contrat')
                ->with('dossier', $dossier)
                ->with('parcelles', $parcelles)
                ->with('client', $client)
                ->with('versement', $versement); 
    }

    public function souscription($id)
    {

    }

    public function decharge($id)
    {

    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
