<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\EleveInfo; 
use App\Models\PereInfo; 
use App\Models\MereInfo; 
use App\Models\ScolariteInfo; 
use App\Models\AutreInfo; 
use Session; 

class EnregistrementController extends Controller
{
    //

    public function ajouter(Request $request) 
    {
        $this->validate($request, [
            'eleve_prenom' => 'required',
            'eleve_nom' => 'required',
            'eleve_sexe' => 'required', 
            'eleve_date_naissance' => 'required',
            'eleve_lieu' => 'required', 
            'eleve_nationalite' => 'required', 
            'eleve_classe' => 'required',
            'eleve_adresse' => 'required'
        ]); 

        EleveInfo::create([
            'prenom' => $request->eleve_prenom,
            'nom' => $request->eleve_nom,
            'sexe' => $request->eleve_sexe,
            'date_naissance' => $request->eleve_date_naissance, 
            'lieu' => $request->eleve_lieu,
            'nationalité' => $request->eleve_nationalite, 
            'classe' => $request->eleve_classe, 
            'classe_doublee' => $request->eleve_classe_doublee,
            'adresse' => $request->eleve_adresse,
            'matricule' => $request->eleve_matricule,
            'telephone' => $request->eleve_telephone, 

                //Scolarite
            'annee_scolaire1' => $request->annee_scolarite1,
            'annee_scolaire2' => $request->annee_scolarite2,
            'annee_scolaire3' => $request->annee_scolarite3,
            'annee_scolaire4' => $request->annee_scolarite4,
            'annee_scolaire5' => $request->annee_scolarite5, 

            'etablissement_frequente1' => $request->etablissement_frequente1,
            'etablissement_frequente2' => $request->etablissement_frequente2,
            'etablissement_frequente3' => $request->etablissement_frequente3,
            'etablissement_frequente4' => $request->etablissement_frequente4,
            'etablissement_frequente5' => $request->etablissement_frequente5,

            'classe1' => $request->classe1, 
            'classe2' => $request->classe2, 
            'classe3' => $request->classe3, 
            'classe4' => $request->classe4, 
            'classe5' => $request->classe5, 

            // Pere Info 
            'pere_nom' => $request->pere_nom,
            'pere_prenom' => $request->pere_prenom, 
            'pere_age' => $request->pere_age,
            'pere_profession' => $request->pere_profession,
            'pere_etat_profession' => $request->pere_etat_profession, 
            'pere_adresse_professionelle' => $request->pere_adresse_professionnelle,
            'pere_telephone_service' => $request->pere_telephone_service, 
            'pere_situation_matrimonial' => $request->pere_situation_matrimoniale, 
            'pere_adresse_domicile' => $request->pere_adresse_domicile, 
            'pere_telephone_domicile' => $request->pere_telephone_domicile,

            //Mere Info 
            'mere_prenom' => $request->mere_prenom,
            'mere_nom' => $request->mere_nom, 
            'mere_age' => $request->mere_age, 
            'mere_profession' => $request->mere_profession, 
            'mere_etat_profession' => $request->mere_etat_profession,
            'mere_adresse_professionelle' => $request->mere_adresse_professionnelle,
            'mere_telephone_service' => $request->mere_telephone_service, 
            'mere_situation_matrimonial' => $request->mere_situation_matrimoniale,
            'mere_adresse_domicile' => $request->mere_adresse_domicile, 
            'mere_telephone_domicile' => $request->mere_telephone_domicile,

                //Autre Info 
            'freres_soeurs_cem' => $request->freres_soeurs_cem, 
            'nom_classe_cem' => $request->nom_classes,
            'freres_soeurs_autre_etablissement' => $request->freres_soeurs_autres_etablissements,
            'nbre_personne_famille' => $request->personne_famille, 
            'probleme_travail_maison' => $request->probleme_travail_maison, 
            'crise' => $request->une_fois_crise,
            'nbre_crise' => $request->nbre_crise,
            'maladie' => $request->maladie,
            'nature_maladie' => $request->oui_laquelle,
            'traitement' => $request->traitement, 
            'personne_traitement' => $request->par_qui, 
            'moyen_transport' => $request->moyen_transport,
         
        ]);
        Session::flash('success', 'Information enregistré avec succée !'); 
        return redirect()->back();
    }


    public function index() 
    {
        $eleves = EleveInfo::all(); 

        return view('eleve.index', compact('eleves')); 
    }

    public function view($id) 
    {
        $eleve = EleveInfo::find($id); 
     
        return view('eleve.view', compact('eleve')); 
    }

    public function edit($id)
    {
        $eleve = EleveInfo::find($id); 

        return view('eleve.edit', compact('eleve')); 
    }
    
    public function update(Request $request, $id) 
    {

        $this->validate($request, [
            'eleve_prenom' => 'required',
            'eleve_nom' => 'required',
            'eleve_sexe' => 'required', 
            'eleve_date_naissance' => 'required',
            'eleve_lieu' => 'required', 
            'eleve_nationalite' => 'required', 
            'eleve_classe' => 'required',
            'eleve_adresse' => 'required'
        ]); 

        $eleve = EleveInfo::find($id); 

    
        $eleve->prenom = $request->eleve_prenom;
        $eleve->nom = $request->eleve_nom;
        $eleve->sexe = $request->eleve_sexe;
        $eleve->date_naissance = $request->eleve_date_naissance;
        $eleve->lieu = $request->eleve_lieu;
        $eleve->nationalité = $request->eleve_nationalite; 
        $eleve->classe = $request->eleve_classe;
        $eleve->classe_doublee = $request->eleve_classe_doublee;
        $eleve->adresse = $request->eleve_adresse;
        $eleve->matricule = $request->eleve_matricule;
        $eleve->telephone = $request->eleve_telephone;

            //Scolarite
        $eleve->annee_scolaire1 = $request->annee_scolarite1;
        $eleve->annee_scolaire2 = $request->annee_scolarite2;
        $eleve->annee_scolaire3 = $request->annee_scolarite3;
        $eleve->annee_scolaire4 = $request->annee_scolarite4;
        $eleve->annee_scolaire5 = $request->annee_scolarite5; 

        $eleve->etablissement_frequente1 = $request->etablissement_frequente1;
        $eleve->etablissement_frequente2 = $request->etablissement_frequente2;
        $eleve->etablissement_frequente3 = $request->etablissement_frequente3;
        $eleve->etablissement_frequente4 = $request->etablissement_frequente4;
        $eleve->etablissement_frequente5 = $request->etablissement_frequente5;

        $eleve->classe1 = $request->classe1;
        $eleve->classe2 = $request->classe2;
        $eleve->classe3 = $request->classe3; 
        $eleve->classe4 = $request->classe4; 
        $eleve->classe5 = $request->classe5; 

        // Pere Info 
        $eleve->pere_nom = $request->pere_nom;
        $eleve->pere_prenom = $request->pere_prenom; 
        $eleve->pere_age = $request->pere_age;
        $eleve->pere_profession = $request->pere_profession;
        $eleve->pere_etat_profession = $request->pere_etat_profession;
        $eleve->pere_adresse_professionelle = $request->pere_adresse_professionnelle;
        $eleve->pere_telephone_service = $request->pere_telephone_service;
        $eleve->pere_situation_matrimonial = $request->pere_situation_matrimoniale;
        $eleve->pere_adresse_domicile = $request->pere_adresse_domicile;
        $eleve->pere_telephone_domicile = $request->pere_telephone_domicile;

        //Mere Info 
        $eleve->mere_prenom = $request->mere_prenom;
        $eleve->mere_nom = $request->mere_nom;
        $eleve->mere_age = $request->mere_age; 
        $eleve->mere_profession = $request->mere_profession;
        $eleve->mere_etat_profession = $request->mere_etat_profession;
        $eleve->mere_adresse_professionelle = $request->mere_adresse_professionnelle;
        $eleve->mere_telephone_service = $request->mere_telephone_service; 
        $eleve->mere_situation_matrimonial = $request->mere_situation_matrimoniale;
        $eleve->mere_adresse_domicile = $request->mere_adresse_domicile; 
        $eleve->mere_telephone_domicile = $request->mere_telephone_domicile;

            //Autre Info 
        $eleve->freres_soeurs_cem = $request->freres_soeurs_cem;
        $eleve->nom_classe_cem = $request->nom_classes;
        $eleve->freres_soeurs_autre_etablissement = $request->freres_soeurs_autres_etablissements;
        $eleve->nbre_personne_famille = $request->personne_famille;
        $eleve->probleme_travail_maison = $request->probleme_travail_maison;
        $eleve->crise = $request->une_fois_crise;
        $eleve->nbre_crise = $request->nbre_crise;
        $eleve->maladie = $request->maladie;
        $eleve->nature_maladie = $request->oui_laquelle;
        $eleve->traitement = $request->traitement;
        $eleve->personne_traitement = $request->par_qui; 
        $eleve->moyen_transport = $request->moyen_transport;

        $eleve->save(); 

        Session::flash('success', 'Modification effectuée avec succée !'); 

        return redirect()->back();


    }

    public function delete(Request $request)
    {
        //
        EleveInfo::destroy($request->id_eleve); 

        Session::flash('success', 'Elève Information supprimé avec succée !'); 

        return redirect()->back(); 
    }


}
