<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\NoteFrai; 
use App\Models\BanqueCaisse;
use App\Models\JournalTresorerie;
use App\Models\JournalCaisse; 
use App\Models\JournalNoteFrai; 
use Carbon\Carbon; 

class NoteFraiController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //

        return view('notefrai.index')->with('notefrai', NoteFrai::all()); 
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //

        return view('notefrai.create'); 
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //

        $this->validate($request, [
            'libelle' => 'required',
            'montant' => 'required'
        ]); 
        NoteFrai::create([
            'libelle' => $request->libelle, 
            'montant' => $request->montant,
            'type' => $request->type,
            'id_site' => $request->site,
            'annee' => Carbon::now()->year 
        ]); 
/*
        $bc = BanqueCaisse::find($request->banquecaisse); 
        if($bc->type == 'Banque') {
            JournalTresorerie::create([
                'libelle' => 'Versement client',
                'debit' => $request->montant,
                'credit' => 0 
            ]); 

            JournalTresorerie::create([
                'libelle' => 'Versement client',
                'debit' => 0,
                'credit' => $request->montant 
            ]); 
        } else {
            JournalCaisse::create([
                'libelle' => $request->libelle,
                'debit' => $request->montant,
                'credit' => 0 
            ]); 

            JournalCaisse::create([
                'libelle' => $request->libelle,
                'debit' => 0,
                'credit' => $request->montant
            ]); 
        }
        $bc->solde -= $request->montant; 
        $bc->save(); 
*/
        return redirect()->route('notefrai.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
