<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use App\Models\Client; 
use App\Models\Penalite; 
use App\Models\Programme;
use Carbon\Carbon; 
use Session; 
use Auth; 

class PenaliteController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //

        if(Carbon::now()->day >= 16)
        {
            $dossiers = DB::table('dossiers')->where('etat', '=', 'ouvert')->get(); 

            foreach($dossiers as $d)
            {
                $penalite = DB::table('penalites')
                            ->where('mois', '=', Carbon::now()->month)
                            ->where('dossier_id', '=', $d->id)
                            ->get(); 

                if($penalite->count() == 0)
                {
                    $versement = DB::table('versements')
                                ->where('mois', '=', Carbon::now()->month)
                                ->where('dossier_id', '=', $d->id)->get();

                    if($versement->count() == 0)
                    {
                        Penalite::create([
                            'client_id' => $d->client_id,
                            'dossier_id' => $d->id,
                            'montant' => 1000,
                            'mois' => Carbon::now()->month,
                            'annee' => Carbon::now()->year
                        ]); 
                    }
                }
            }
        }

        $penalites = DB::table('penalites')
        ->join('clients', 'clients.id', '=', 'penalites.client_id')
        ->select('clients.nom', 'clients.prenom', 'penalites.mois', 'penalites.annee')
        ->get(); 
        
        $clients = Client::all(); 
    
        return view('penalite.index')->with('penalites', $penalites)->with('clients', $clients); 
    }

    public function MesPenalites()
    {
        //
       $penalites = DB::table('penalites')
        ->join('dossiers', 'dossiers.id', '=', 'penalites.dossier_id')
        ->select('penalites.id', 'dossiers.reference',  'penalites.mois', 'penalites.created_at')
        ->where('penalites.client_id', '=', Auth::user()->client_id)
        ->get(); 
        
        return view('penalite.mes_penalites')->with('penalites', $penalites)->with('programmes', Programme::all()); 
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($idClient, $annee)
    {
        //
        $penalites = DB::table('penalites')
            ->join('clients', 'clients.id', '=', 'penalites.client_id')
            ->select('penalites.id', 'clients.nom', 'clients.prenom', 'penalites.montant', 'penalites.mois', 'penalites.updated_at')
            ->where('penalites.client_id', '=', $idClient)->where('penalites.annee', '=', $annee)->get(); 

        return view('penalite.show')->with('penalites', $penalites); 
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function delete(Request $request)
    {
        //
        Penalite::destroy($request->penalite_id); 

        Session::flash('success', 'Versement supprime avec succee !'); 

        return redirect()->back();  
    }
}
