<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Auth; 
use App\Models\User; 
use Session; 

class ProfileController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //

        $user = User::find(Auth::user()->id); 
     
        return view('profile.index')->with('utilisateur', $user); 
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        //
        $user = User::find(Auth::user()->id); 
     
        return view('profile.edit')->with('utilisateur', $user);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        //
        $this->validate($request, [
            'nom' =>  'required',
            'prenom' => 'required',
            'email' => 'required', 
            'password_courant' => 'required',
        ]); 

        if(!Hash::check($request->password_courant, Auth::user()->password)) {
            Session::flash('warning', 'Le mot de passe entre est incorrect !'); 
            return redirect()->back(); 
        }
    
        $user = User::find(Auth::user()->id); 

        $user->nom = $request->nom;
        $user->prenom = $request->prenom;
        $user->email = $request->email; 
    
        if($request->password != null && $request->password == $request->password_confirmation) {
            $user->password = Hash::make($request->password); 
        }

        $user->save();

        Session::flash('success', 'Profile modifie avec succee !');

        return redirect()->route('profile.index'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
