<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Representant; 
use App\Models\Client; 
use DB; 
use Session; 

class RepresentantController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
         //

        $rep_clients = Representant::all(); 
   
        return view('representant.index')->with('rep_clients', $rep_clients); 
   
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $clients = Client::all(); 
        return view('representant.create')->with('clients', $clients); 
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
            'nom' => 'required', 
            'prenom' => 'required',
            'telephone' => 'required'
        ]); 

        
        Representant::create([
            'nom' => $request->nom,
            'prenom' => $request->prenom, 
            'telephone' => $request->telephone, 
            'cni_passeport' => $request->cni_passeport 
        ]);

        Session::flash('success', 'Representant ajoute avec succee !');  

        return redirect()->route('dossier.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $representant = Representant::find($id); 
    
        return view('representant.edit')->with('representant', $representant); 
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
          //
          $this->validate($request, [
            'nom' => 'required', 
            'prenom' => 'required', 
            'contact' => 'required'
        ]); 
        
        $representant = Representant::find($id);

        $representant->nom = $request->nom;
        $representant->prenom = $request->prenom;
        $representant->telephone = $request->contact;
        $representant->cni_passeport = $request->cni_passeport;

        $representant->save(); 
        
        Session::flash('success', 'Representant modifie avec succee !');  

        return redirect()->route('representant.index'); 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function delete(Request $request)
    {
        //

        Representant::destroy($request->representant_id); 

        Session::flash('success', 'Representant supprime avec succee !'); 

        return redirect()->back(); 
    }
}
