<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEleveInfosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('eleve_infos', function (Blueprint $table) {
            $table->id();

            $table->string('nom');
            $table->string('prenom');
            $table->string('sexe');
            $table->string('date_naissance'); 
            $table->string('lieu'); 
            $table->string('nationalité'); 
            $table->string('classe');
            $table->string('classe_doublee')->nullable();
            $table->string('adresse');
            $table->string('matricule')->nullable();
            $table->string('telephone')->nullable(); 

                //Scolarite
            $table->string('annee_scolaire1')->nullable(); 
            $table->string('annee_scolaire2')->nullable(); 
            $table->string('annee_scolaire3')->nullable(); 
            $table->string('annee_scolaire4')->nullable(); 
            $table->string('annee_scolaire5')->nullable(); 

            $table->string('etablissement_frequente1')->nullable(); 
            $table->string('etablissement_frequente2')->nullable(); 
            $table->string('etablissement_frequente3')->nullable(); 
            $table->string('etablissement_frequente4')->nullable(); 
            $table->string('etablissement_frequente5')->nullable(); 

            $table->string('classe1')->nullable(); 
            $table->string('classe2')->nullable(); 
            $table->string('classe3')->nullable(); 
            $table->string('classe4')->nullable(); 
            $table->string('classe5')->nullable(); 

                //Infomration Pere
            $table->string('pere_prenom')->nullable();;
            $table->string('pere_nom')->nullable();;
            $table->string('pere_age')->nullable();;
            $table->string('pere_profession')->nullable();
            $table->string('pere_etat_profession')->nullable();;
            $table->string('pere_adresse_professionelle')->nullable();
            $table->string('pere_telephone_service')->nullable();
            $table->string('pere_situation_matrimonial')->nullable();;
            $table->string('pere_adresse_domicile')->nullable();;
            $table->string('pere_telephone_domicile')->nullable();

                //Mere Info
            $table->string('mere_prenom')->nullable();;
            $table->string('mere_nom')->nullable();;
            $table->string('mere_age')->nullable();;
            $table->string('mere_profession')->nullable();;
            $table->string('mere_etat_profession')->nullable();;
            $table->string('mere_adresse_professionelle')->nullable();
            $table->string('mere_telephone_service')->nullable();
            $table->string('mere_situation_matrimonial');
            $table->string('mere_adresse_domicile')->nullable();;
            $table->string('mere_telephone_domicile')->nullable();
            $table->string('parents_vivents_ensembles')->nullable();
            $table->string('parents_sont_ensembles')->nullable();

                //Autre Infos
            $table->string('freres_soeurs_cem')->nullable();;
            $table->string('nom_classe_cem')->nullable();
            $table->string('freres_soeurs_autre_etablissement')->nullable();;
            $table->string('nom_classe_autre_etablissement')->nullable();
            $table->string('nbre_personne_famille')->nullable();;
            $table->string('probleme_travail_maison')->nullable();;
            $table->string('ptm_lesquels')->nullable();
            $table->string('crise')->nullable();;
            $table->string('nbre_crise')->nullable(); 
            $table->string('maladie')->nullable();; 
            $table->string('nature_maladie')->nullable();
            $table->string('traitement')->nullable();;
            $table->string('personne_traitement')->nullable(); 
            $table->string('moyen_transport')->nullable();; 

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('eleve_infos');
    }
}
