@extends('dashboard')

@section('content')
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header card-header-primary text-center">
          <h4 class="card-title">NOUVELLE BANQUE OU CAISSE</h4>
          <p class="card-category">Veuillez remplir ces champs</p>
        </div>
        <div class="card-body">
          <form action="{{ route('banquecaisse.store')}}" method="POST">
            {{ csrf_field() }}
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Libelle</label>
                    <input type="text" class="form-control @if($errors->has('libelle')) bg-danger @endif" name="libelle" value="{{ old('libelle')}}">
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Type</label>
                  <select class="form-control" name="type"> 
                    <option value="Banque"> Banque </option>
                    <option value="Caisse"> Caisse </option> 
                  </select> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Numéro</label>
                  <input type="text" class="form-control @if($errors->has('numero')) bg-danger @endif" name="montant" value="{{ old('numero')}}">
                  @if ($errors->has('numero'))
                    <span class="text-danger">{{ $errors->first('numero') }}</span>
                  @endif
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Solde Initial</label>
                  <input type="text" class="form-control @if($errors->has('solde')) bg-danger @endif" name="solde" value="{{ old('solde')}}">
                  @if ($errors->has('solde'))
                    <span class="text-danger">{{ $errors->first('solde') }}</span>
                  @endif
                </div>
              </div>
            </div>

            <button type="submit" class="btn btn-primary pull-center">ENREGISTRER</button>
            <div class="clearfix"></div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection