@extends('dashboard')

@section('content')
<div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">MODIFICATION  CLIENT</h4>
                  <p class="card-category">Veuillez remplir ces champs</p>
                </div>
                <div class="card-body">
                  <form action="{{ route('client.update' , ['id' => $client->id] )}}" method="POST">
                    {{ csrf_field() }}
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                          <label class="bmd-label-floating">Nom</label>
                          <input type="nom" class="form-control @if($errors->has('nom')) bg-danger @endif" name="nom" value="{{ $client->nom}}">
                          @if ($errors->has('nom'))
                            <span class="text-danger">{{ $errors->first('nom') }}</span>
                          @endif
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group">
                          <label class="bmd-label-floating">Prenom</label>
                          <input type="nom" class="form-control @if($errors->has('prenom')) bg-danger @endif" name="prenom" value="{{ $client->prenom }}">
                          @if ($errors->has('prenom'))
                            <span class="text-danger">{{ $errors->first('prenom') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                          <label class="bmd-label-floating">Telehone</label>
                          <input type="text" class="form-control @if($errors->has('telephone')) bg-danger @endif" name="telephone" value="{{ $client->telephone }}">
                          @if ($errors->has('telephone'))
                            <span class="text-danger">{{ $errors->first('telephone') }}</span>
                          @endif
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group">
                          <label class="bmd-label-floating">Adresse Email</label>
                          <input type="text" class="form-control @if($errors->has('adresse_email')) bg-danger @endif" name="adresse_email" value="{{ $client->adresse_email }}">
                          @if ($errors->has('adresse_email'))
                            <span class="text-danger">{{ $errors->first('adresse_email') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Numero CIN-Passeport</label>
                          <input type="text" class="form-control @if($errors->has('numero_cin_passeport')) bg-danger @endif" name="numero_cin_passeport" value="{{ $client->numero_cin_passeport}}">
                          @if ($errors->has('numero_cin_passeport'))
                            <span class="text-danger">{{ $errors->first('numero_cin_passeport') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Residence</label>
                          <input type="text" class="form-control @if($errors->has('residence')) bg-danger @endif" name="residence" value="{{ $client->residence }}">
                          @if ($errors->has('residence'))
                            <span class="text-danger">{{ $errors->first('residence') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Photo</label>
                        </div>
                      </div>
                      <input type="file" class="form-control" name="photo">
                    </div>
                    <button type="submit" class="btn btn-primary pull-right">ENREGISTRER</button>
                    <div class="clearfix"></div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
@endsection