@extends('dashboard')
@section('content') 
<div class="container-fluid">
    <div>   
      <a href="{{ route('document.create', ['id' => $client->id, 'dossier_id' => $dossier->id]) }}" class="btn btn-success btn-fill"> <i class="pe-7s-plus"></i> NOUVEAU DOCUMENT</a>
      <div> 
    </div>
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header card-header-primary">
            <h4 class="card-title text-center">LISTE DES DOCUMENTS DE {{ $client->prenom .' '. $client->nom }} </h4>
            <p class="card-category"> </p>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-striped bordered" id="table">
                <thead class="text-primary">
                  <th>
                    Date 
                  </th>
                  <th>
                    Fichier  
                  </th>
                  <th>
                    Action
                  </th>
                </thead>
                <tbody>
                  @foreach($documents as $d)
                    <tr>
                      <td> 
                        {{ $d->created_at }}
                      </td>
                      <td>
                        {{ $d->document }}
                      </td>
                      
                      <td>
                        <a class="btn btn-info show-modal btn-fill" style="color: #fff;" data-document="{{$d->document}}"> <i class="pe-7s-look"></i></a>
                        &nbsp;
                        @if(Auth::user()->type == 'Super Administrateur')
                          <a class="btn btn-danger modal-delete btn-fill" data-toggle="modal" data-target="#modal-delete" data-document_id="{{$d->id}}" style="color: #fff;"> 
                            <i class="pe-7s-trash"></i>
                          </a>
                        @endif
                      </td>
                    </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

        
<!-- Modal -->
<div id="show-modal" class="modal fade col-md-12" role="dialog"  data-backdrop="false">
  <div class="modal-dialog" >
      <div class="modal-content" style="width: 100%;">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" style="font-size: 30px;">&times;</button>
          </div>
          <div class="modal-body" style=" height: 80vh;">

          </div>
      </div>
  </div>
</div>

<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
             
            </div>
            <form action="{{ route('document.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input type="hidden" name="document_id" id="document_id"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
</div>

<script src="{{ URL::asset('js/pdfobject.min.js') }}"> </script>

<script> 
  // Show function Fournisseur
  $(document).on('click', '.show-modal', function() {
        $('#show-modal').modal('show');

        var fichier = '{{ asset('uploads/')}}' + '/' + $(this).data('document');

        PDFObject.embed(fichier, '.modal-body');

    });

  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#document_id').val($(this).data('document_id'));
  });

</script>
@endsection 