@extends('dashboard')
@section('content') 
<div class="container-fluid">
    
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title text-center">LISTE DES DOSSIERS</h4>
                  <p class="card-category"></p>
                </div>
                <div class="card-body">
                  <div class="table-responsive">
                    <table class="table table-striped bordered" id="table">
                      <thead class="text-primary">
                        <th>
                          Reference
                        </th>
                        <th>
                          Date d'ouvert     
                        </th>
                        <th>
                          Montant Contrat
                        </th>
                        <th>
                          Montant Versé
                        </th>
                        <th>
                          Etat
                        </th>
                        <th>
                        Agent
                        </th>
                        <th>
                          Action
                        </th>
                      </thead>
                      <tbody>
                        @foreach($dossiers as $d)
                              <tr>
                                <td> 
                                  {{ $d->reference }}
                                </td>
                                <td> 
                                  {{ $d->created_at }}
                                </td>
                                <td>
                                    {{ $d->montant_contrat }}
                                </td> 
                                <td>
                                    {{ $d->montant_verse }}
                                </td> 
                                <td>
                                  {{ $d->etat }}
                                </td>
                                <td>
                                {{ $d->agent_prenom . ' '. $d->agent_nom }}
                                </td>
                                <td>
                                  <a href="{{ route('mes_documents', ['id' => $d->id]) }}" class="btn btn-success btn-fill" style="color: #fff;"> <i class="pe-7s-folder"></i></a>
                                  &nbsp;
                                </td>
                              </tr>
                        @endforeach
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        
<!-- Modal -->
<div class="modal fade" id="show-modal-versement" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Montant versement !</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ route('versement.store')}}" method="post">
              <div class="modal-body">
                {{ csrf_field() }}
                  <input type="hidden" name="client_id" id="client_id"> 
                  <input type="hidden" name="dossier_id" id="dossier_id"> 
                  <label> Montant</label>
                  <input type="text" class="fom-control" name="montant" />
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success" value="Confirmer" />
                  <button type="button" class="btn btn-danger" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ route('dossier.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input type="hidden" name="dossier_id_2" id="dossier_id_2"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success" value="Confirmer" />
                  <button type="button" class="btn btn-danger" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
  
</div>
<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-versement', function() {
    $('#show-modal-versement').modal('show');
    $('#client_id').val($(this).data('client_id'));
    $('#dossier_id').val($(this).data('dossier_id'));
  });

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#dossier_id_2').val($(this).data('dossier_id_2'));
  });

</script>
@endsection 