@extends('dashboard')

@section('content')
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header card-header-primary text-center">
          <h4 class="card-title">DOSSIER DE : {{ $dossier[0]->client_prenom . ' '. $dossier[0]->client_nom }}</h4>
        </div>
        <div class="card-body">
          <form action="{{ route('client.store')}}" method="POST" enctype="multipart/form-data">
            {{ csrf_field() }}
            
            <br /> <br /> 
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Date</label>
                  <input type="nom" class="form-control @if($errors->has('nom')) bg-danger @endif" name="nom" value="{{ $dossier[0]->date }}" disabled>
                  @if ($errors->has('nom'))
                    <span class="text-danger">{{ $errors->first('nom') }}</span>
                  @endif
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Duree Contrat </label>
                  <input type="nom" class="form-control @if($errors->has('prenom')) bg-danger @endif" name="prenom" value="{{ $dossier[0]->duree_contrat }}" disabled>
                  @if ($errors->has('prenom'))
                    <span class="text-danger">{{ $errors->first('prenom') }}</span>
                  @endif
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Montant Contrat  </label>
                  <input type="nom" class="form-control @if($errors->has('prenom')) bg-danger @endif" name="prenom" value="{{ $dossier[0]->montant_contrat }}" disabled>
                  @if ($errors->has('prenom'))
                    <span class="text-danger">{{ $errors->first('prenom') }}</span>
                  @endif
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Montant Versé </label>
                  <input type="text" class="form-control @if($errors->has('telephone')) bg-danger @endif" name="telephone" value="{{ $dossier[0]->montant_verse }}" disabled>
                  @if ($errors->has('telephone'))
                    <span class="text-danger">{{ $errors->first('telephone') }}</span>
                  @endif
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Montant Restant</label>
                  <input type="text" class="form-control @if($errors->has('telephone')) bg-danger @endif" name="telephone" value="{{ $dossier[0]->montant_contrat - $dossier[0]->montant_verse }}" disabled>
                  @if ($errors->has('telephone'))
                    <span class="text-danger">{{ $errors->first('telephone') }}</span>
                  @endif
                </div>
              </div>

              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Agent Commercial </label>
                  <input type="text" class="form-control @if($errors->has('adresse_email')) bg-danger @endif" name="adresse_email" value="{{$dossier[0]->agent_prenom . ' ' . $dossier[0]->agent_nom }}" disabled>
                  @if ($errors->has('adresse_email'))
                    <span class="text-danger">{{ $errors->first('adresse_email') }}</span>
                  @endif
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Site</label>
                  <input type="text" class="form-control @if($errors->has('numero_cin_passeport')) bg-danger @endif" name="numero_cin_passeport" value="{{ $dossier[0]->site }}" disabled>
                  @if ($errors->has('numero_cin_passeport'))
                    <span class="text-danger">{{ $errors->first('numero_cin_passeport') }}</span>
                  @endif
                </div>
              </div>
            </div>
            
            <div class="text-center">
              <a href="{{ route('contrat', ['id' => $dossier[0]->id] ) }}" target="_blank" class="btn btn-success btn-fill" style="color: #fff;"> <i class="pe-7s-file"></i></a>
              <a class="btn btn-warning btn-fill modal-versement" data-client_id="{{ $dossier[0]->client_id }}" data-dossier_id="{{$dossier[0]->id}}" style="color: #fff;"> <i class="pe-7s-file"></i></a>
              <a class="btn btn-info btn-fill modal-versement" data-client_id="{{ $dossier[0]->client_id }}" data-dossier_id="{{$dossier[0]->id}}" data-programme_id="{{$dossier[0]->programme_id}}" style="color: #fff;"> <i class="pe-7s-cash"></i></a>
            </div> 
      
            <div class="clearfix"></div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div> 

<div class="container-fluid">
   <div class="row">
     <div class="col-md-12">
       <div class="card">
         <div class="card-header card-header-primary">
           <h4 class="card-title text-center">LISTE DES PARCELLES DE {{ $dossier[0]->site }}</h4>
           <p class="card-category"> </p>
         </div>
         <div class="card-body">
           <div class="table-responsive">
             <table class="table table-striped bordered" id="table">
               <thead class="text-primary">
                 <th>
                   Numèro Parcelle 
                 </th>
                 <th>
                   Surface m²
                 </th>
                 <th>
                   Action
                 </th>
               </thead>
               <tbody>
                 @foreach($parcelles as $p)
                   <tr>
                     <td>
                       {{ $p->numero }}
                     </td>
                     <td>
                       {{ $p->surface }}
                     </td>
                     <td>
                       <a href="{{ route('parcelle.edit', ['id' => $p->id]) }}" class="btn btn-warning btn-fill" style="color: #fff;"> <i class="pe-7s-pen"></i></a>
                       &nbsp;
                       @if(Auth::user()->type == 'Super Administrateur')
                         <a class="btn btn-danger btn-fill modal-parcelle-delete" data-toggle="modal" data-target="#modal-delete" data-parcelle_id="{{$p->id}}" style="color: #fff;"> 
                           <i class="pe-7s-trash"></i>
                         </a>
                       @endif
                     </td>
                   </tr>
                 @endforeach
               </tbody>
             </table>
           </div>
         </div>
       </div>
     </div>
   </div>
 </div>

 

 <div class="modal fade" id="show-modal-parcelle-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
            </div>
            <form action="{{ route('parcelle.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input type="hidden" name="parcelle_id" id="parcelle_id"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>  
</div>
<script>
    $(document).on('click', '.modal-parcelle-delete', function() {
      $('#show-modal-parcelle-delete').modal('show');
      $('#parcelle_id').val($(this).data('parcelle_id'));
    });
  </script>

<div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header card-header-primary">
            <h4 class="card-title text-center">LISTE DES VERSEMENTS </h4>
            <p class="card-category"> </p>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-striped bordered" id="table">
                <thead class="text-primary">
                  <th> 
                    Date
                  </th>
                  <th>
                    Type de versement
                  </th>
                  <th>
                    Montant
                  </th>
                  <th>
                    Action
                  </th>
                </thead>
                <tbody>
                  @foreach($versements as $v)
                    <tr>
                      <td>
                        {{ $v->date }}
                      </td>
                    
                      <td>
                        {{ $v->libelle }}
                      </td>

                      <td>
                        {{ $v->montant }}
                      </td>

                      <td> 
                        <a href="{{ route('decharge', ['id' => $v->id]) }}" target="_blank" class="btn btn-success btn-fill"> <i class="pe-7s-file"></i></a>
                        &nbsp;
                        @if(Auth::user()->type == 'Super Administrateur')
                          <a class="btn btn-danger btn-fill modal-delete" data-toggle="modal" data-target="#modal-delete" data-versement_id="{{$v->id}}" style="color: #fff;"> 
                            <i class="pe-7s-trash"></i>
                          </a>
                        @endif
                        &nbsp;
                      </td>
                    </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>



<!-- Modal -->
<div class="modal fade" id="show-modal-versement" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">

<div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <h5 class="modal-title" id="exampleModalLabel">Montant versement !</h5>
        </div>
        <form action="{{ route('versement.store')}}" method="post" enctype="multipart/form-data">
          <div class="modal-body">
            {{ csrf_field() }}
              <input type="hidden" name="client_id" id="client_id"> 
              <input type="hidden" name="dossier_id" id="dossier_id"> 
              <label>Type </label> <br />
              <select class="form-control" name="type"> 
                <option value="Versement Client"> Versement Client </option>
                <option value="Adhésion"> Adhésion </option>
                <option value="Acompte"> Acompte </option>
              </select>
              <br /> 
            
            <label><strong>Date du versement : </strong></label><br/>  
              <div class="input-append date " id="dp3" data-date="12-02-2012" data-date-format="dd-mm-yyyy">
                <input class="span2 datepicker form-control" size="16" name="date" type="text" value="" placeholder="jj-mm-aaaa" />
              </div>
          
              <label> Montant</label> <br />
              <input type="text" class="form-control" name="montant" />
              <br /> 
              <label> Mode de Paiements </label> <br />
              <select class="form-control" name="mode_paiement"> 
                <option>En espèce </option> 
                <option> Transfert Bancaire </option>
              </select>
              <br /> 
              <label>Fichier joint </label> <br />
              <input type="file" class="form-control" name="fichier" />
              <br /> 
              <input type="hidden" name="programme" id="programme_id" />
          </div>
          <div class="modal-footer">
              <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
              <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
          </div>
        </form>
    </div>
</div>
</div>

<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">
<div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
        </div>
        <form action="{{ route('versement.delete')}}" method="post">
          <div class="modal-body">
          {{ csrf_field() }}
              <input type="hidden" name="dossier_id" id="dossier_id_3"> 
          </div>
          <div class="modal-footer">
              <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
              <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
          </div>
        </form>
    </div>
</div>

</div>
<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-versement', function() {
    $('#show-modal-versement').modal('show');
    $('#client_id').val($(this).data('client_id'));
    $('#dossier_id').val($(this).data('dossier_id'));
    $('#programme_id').val($(this).data('programme_id'));
  });

  $(document).on('click', '.modal-delete', function() {
  $('#show-modal-delete').modal('show');
  $('#versement_id').val($(this).data('versement_id'));
  });

</script>
@endsection