@extends('dashboard')

@section('content')
<div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">NOUVEAU VERSEMENT</h4>
                  <p class="card-category">Veuillez remplir ces champs</p>
                </div>
                <div class="card-body">
                  <form action="{{ route('versement.store')}}" method="POST">
                    {{ csrf_field() }}
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Client</label>
                          <select class="form-control" name="client_id">
                            @foreach($clients as $c)
                              <option value="{{$c->id}}"> {{ $c->prenom .' '. $c->nom }} </option> 
                            @endforeach
                          </select>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Montant</label>
                          <input type="text" class="form-control @if($errors->has('montant')) bg-danger @endif" name="montant" value="{{ old('montant')}}">
                          @if ($errors->has('montant'))
                            <span class="text-danger">{{ $errors->first('montant') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <button type="submit" class="btn btn-primary pull-right">ENREGISTRER</button>
                    <div class="clearfix"></div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
@endsection