@extends('dashboard')

@section('content')
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header card-header-primary text-center">
          <h4 class="card-title">MODIFICATION PROGRAMME</h4>
          <p class="card-category">Veuillez remplir ces champs</p>
        </div>
        <div class="card-body">
          <form action="{{ route('parcelle.update', ['id' => $parcelle->id] )}}" method="POST">
            {{ csrf_field() }}

            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Numero Parcelle</label>
                  <input type="text" class="form-control @if($errors->has('numero')) bg-danger @endif" name="numero" value="{{ $parcelle->numero }}">
                  @if ($errors->has('numero'))
                    <span class="text-danger">{{ $errors->first('numero') }}</span>
                  @endif
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Surface</label>
                  <input type="text" class="form-control @if($errors->has('surface')) bg-danger @endif" name="surface" value="{{ $parcelle->surface }}">
                  @if ($errors->has('surface'))
                    <span class="text-danger">{{ $errors->first('surface') }}</span>
                  @endif
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Client</label>
                  <select class="form-control" name="client"> 
                    <option></option>
                    @foreach(App\Models\Client::all() as $cl)
                      <option @if($cl->id == $parcelle->id_client) selected @endif 
                        value={{$cl->id}}>{{ $cl->prenom .' '. $cl->nom }}</option>
                    @endforeach 
                  </select>
                </div>
              </div>
            </div>
            <div class="text-center"> 
                <button type="submit" class="btn btn-warning btn-fill pull-center">ENREGISTRER</button>
            </div> 
            <div class="clearfix"></div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection