@extends('dashboard')
@section('content') 
<div class="container-fluid">
   
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header card-header-primary">
          <h4 class="card-title text-center">LISTE DES PARCELLES</h4>
          <p class="card-category"> </p>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped bordered" id="table">
              <thead class="text-primary">
                <th>
                  Programme ou Site
                </th>
                <th>
                  Numèro Parcelle 
                </th>
                <th>
                  Surface m²
                </th>
                <th>
                  etat
                </th> 
                <th>
                    client 
                </th>
                <th>
                  Action
                </th>
              </thead>
              <tbody>
                @foreach($parcelles as $p)
                  <tr>
                    <td>
                      {{ $p->site }}
                    </td>
                    <td>
                      {{ $p->numero }}
                    </td>
                    <td>
                      {{ $p->surface }}
                    </td>
                    <td>
                      {{ $p->etat }}
                    </td>
                    <td>
                      @foreach(App\Models\Client::all() as $cl)
                        @if($cl->id == $p->id_client)
                          {{ $cl->prenom . ' ' . $cl->nom }}
                        @endif 
                      @endforeach 
                    </td> 
                    <td>
                      <a href="{{ route('parcelle.edit', ['id' => $p->id]) }}" class="btn btn-warning btn-fill" style="color: #fff;"> <i class="pe-7s-pen"></i></a>
                      &nbsp;
                      @if(Auth::user()->type == 'Super Administrateur')
                        <a class="btn btn-danger btn-fill modal-delete" data-toggle="modal" data-target="#modal-delete" data-parcelle_id="{{$p->id}}" style="color: #fff;"> 
                          <i class="pe-7s-trash"></i>
                        </a>
                      @endif
                    </td>
                  </tr>
                @endforeach
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

        
<!-- Modal -->
       
<!-- Modal -->
<div class="modal fade" id="show-modal-add" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Configuration account client</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ route('parcelle.create')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input name="id_programme" id="id_programme" type="text"> 
                  <div class="row">
                    <div class="">
                      <label class="">Numero de parcelle</label> <br /> 
                      <input type="text" class="@if($errors->has('numero')) bg-danger @endif" name="numero" value="{{ old('numero')}}">
                      @if ($errors->has('numero'))
                        <span class="text-danger">{{ $errors->first('numero') }}</span>
                      @endif
                    </div>
                  </div>
                  <div class="row"> 
                    <div class="">
                      <label class="">Surface</label> <br /> 
                      <input type="text" class="@if($errors->has('surface')) bg-danger @endif" name="surface" value="{{ old('surface')}}">
                      @if ($errors->has('surface'))
                        <span class="text-danger">{{ $errors->first('surface') }}</span>
                      @endif
                    </div>
                  </div>
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Ajouter" />
                  <button type="button" class="btn btn-danger tn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">
  <div class="modal-dialog" role="document">
      <div class="modal-content">
          <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
              </button>
              <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
          </div>
          <form action="{{ route('parcelle.delete')}}" method="post">
            <div class="modal-body">
              {{ csrf_field() }}
              <input type="hidden" name="parcelle_id" id="parcelle_id"> 
            </div>
            <div class="modal-footer">
              <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
              <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
            </div>
          </form>
      </div>
  </div>
</div>
<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-add', function() {
    $('#show-modal-add').modal('show');
    $('#id_programme').val($(this).data('id_programme'));
  });

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#parcelle_id').val($(this).data('parcelle_id'));
  });

</script>
@endsection 