@extends('dashboard')
@section('content') 
<div class="container-fluid">

    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header card-header-primary">
            <h4 class="card-title text-center">LISTE DES PENALITES</h4>
            <p class="card-category"> </p>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-striped bordered" id="table">
                <thead class="text-primary">
                  <th>
                    Clients
                  </th>
                  <th>
                    Mois
                  </th>
                  <th> 
                    Annee
                  </th>
                </thead>
                <tbody>
                  @foreach($penalites as $p)
                    <tr>
                      <td>
                        {{ $p->prenom . ' '. $p->nom }}
                      </td>
                      <td>
                        {{ $p->mois }}
                      </td>
                      <td>
                        {{ $p->annee }}
                      </td>
                    </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

       
<!-- Modal -->
<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ route('penalite.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input type="hidden" name="penalite_id" id="penalite_id"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success" value="Confirmer" />
                  <button type="button" class="btn btn-danger" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
  
</div>

<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#penalite_id').val($(this).data('penalite_id'));
  });

</script>
@endsection 