@extends('dashboard')

@section('content')
<div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title text-center">MODIFICATION PROFILE</h4>
                  <p class="card-category"></p>
                </div>
                <div class="card-body">
                  <form action="{{ route('profile.update')}}" method="POST">
                    {{ csrf_field() }}
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Nom</label>
                          <input type="nom" class="form-control @if($errors->has('nom')) bg-danger @endif" name="nom" value="{{ $utilisateur->nom }}">
                          @if ($errors->has('nom'))
                            <span class="text-danger">{{ $errors->first('nom') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Prenom</label>
                          <input type="text" class="form-control @if($errors->has('prenom')) bg-danger @endif" name="prenom" value="{{ $utilisateur->prenom }}">
                          @if ($errors->has('prenom'))
                            <span class="text-danger">{{ $errors->first('prenom') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Telephone</label>
                          <input type="text" class="form-control @if($errors->has('telephone')) bg-danger @endif" name="telephone" value="{{ $utilisateur->telephone }}">
                          @if ($errors->has('telephone'))
                            <span class="text-danger">{{ $errors->first('telephone') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Email</label>
                          <input type="text" class="form-control @if($errors->has('email')) bg-danger @endif" name="email" value="{{ $utilisateur->email }}">
                          @if ($errors->has('email'))
                            <span class="text-danger">{{ $errors->first('email') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Mot de Passe Courant </label>
                          <input type="password" class="form-control @if($errors->has('password')) bg-danger @endif" name="password_courant" value="{{ old('password')}}">
                          @if ($errors->has('password'))
                            <span class="text-danger">{{ $errors->first('password') }}</span>
                          @endif
                        </div>
                      </div>
                    </div> 
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Nouveau Mot de Passe</label>
                          <input type="password" class="form-control @if($errors->has('password')) bg-danger @endif" name="password" value="{{ old('password')}}">
                          @if ($errors->has('password'))
                            <span class="text-danger">{{ $errors->first('password') }}</span>
                          @endif
                        </div>
                      </div>
                    </div> 
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Confirmation Nouveau Mot de Passe</label>
                          <input type="password" class="form-control @if($errors->has('password_confirmation')) bg-danger @endif" name="password_confirmation" value="{{ old('password_confirmation')}}">
                          @if ($errors->has('password_confirmation'))
                            <span class="text-danger">{{ $errors->first('password_confirmation') }}</span>
                          @endif
                        </div>
                      </div>
                    </div> 
                    <div class="text-center">
                        <button type="submit" class="btn btn-warning btn-fill pull-center">ENREGISTRER</button>
                    </div> 
                    <div class="clearfix"></div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
@endsection