@extends('dashboard')
@section('content') 
<div class="container-fluid">
    <div>   
      <a href="{{ route('programme.create') }}" class="btn btn-success btn-fill"> <i class="pe-7s-plus"></i> NOUVEAU PROGRAMME</a>
    </div>
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary text-center">
                  <h4 class="card-title text-center">LISTE DES PROGRAMMES </h4>
                  <p class="card-category"> </p>
                </div>
                <div class="card-body">
                  <div class="table-responsive">
                    <table class="table table-striped bordered" id="table">
                      <thead class="text-primary">
                        <th>
                          Programme ou Site
                        </th>
                       
                        <th>
                          Action
                        </th>
                      </thead>
                      <tbody>
                        @foreach($programmes as $p)
                          <tr>
                            <td>
                              {{ $p->site }}
                            </td>
                           
                            <td>
                              <a class="btn btn-success modal-add btn-fill" data-toggle="modal" data-target="#modal-account"  data-id_programme="{{$p->id}}"> <i class="pe-7s-user"></i></a>
                              &nbsp;
                              <a href="{{ route('parcelle.index', ['id' => $p->id]) }}" class="btn btn-primary btn-fill"> <i class="pe-7s-look"></i></a>
                              &nbsp;
                              <a href="{{ route('programme.notefrai', ['idSite' => $p->id]) }}" class="btn btn-gray btn-fill"> <i class="pe-7s-look"></i></a>
                              &nbsp;
                              <a href="{{ route('programme.edit', ['id' => $p->id]) }}" class="btn btn-warning btn-fill"> <i class="pe-7s-pen"></i></a>
                              &nbsp;
                              @if(Auth::user()->type == 'Super Administrateur')
                                <a class="btn btn-danger modal-delete btn-fill" data-toggle="modal" data-target="#modal-delete" data-programme_id="{{$p->id}}"> 
                                  <i class="pe-7s-trash"></i>
                                </a>
                              @endif
                            </td>
                          </tr>
                        @endforeach
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        
<!-- Modal -->
       
<!-- Modal -->
<div class="modal fade" id="show-modal-add" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"  data-backdrop="false"  aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">Ajouter un nouveau parcelle </h5>
            
            </div>
            <form action="{{ route('parcelle.create')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input name="id_programme" id="id_programme" type="hidden"> 
                  <div class="row">
                    <div class="">
                      <label class="">Numero de parcelle</label> <br /> 
                      <input type="text" class="@if($errors->has('numero')) bg-danger @endif form-control" name="numero" value="{{ old('numero')}}">
                      @if ($errors->has('numero'))
                        <span class="text-danger">{{ $errors->first('numero') }}</span>
                      @endif
                    </div>
                  </div>
                  <div class="row"> 
                    <div class="">
                      <label class="">Surface</label> <br /> 
                      <input type="text" class="@if($errors->has('surface')) bg-danger @endif form-control" name="surface" value="{{ old('surface')}}">
                      @if ($errors->has('surface'))
                        <span class="text-danger">{{ $errors->first('surface') }}</span>
                      @endif
                    </div>
                  </div>
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Ajouter" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="false">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
            </div>
            <form action="{{ route('programme.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input name="programme_id" id="programme_id" type="hidden"> 
              </div>
              <div class="modal-footer text-center">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
</div>
<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-add', function() {
    $('#show-modal-add').modal('show');
    $('#id_programme').val($(this).data('id_programme'));
  });

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#programme_id').val($(this).data('programme_id'));
  });

</script>
@endsection 