@extends('dashboard')
@section('content') 
<div class="container-fluid">
    <div>   
      <a href="{{ route('representant.create') }}" class="btn btn-success btn-fill"> <i class="pe-7s-plus"></i> NOUVEAU REPRESENTANT</a>
      <div> 
    </div>
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary text-center">
                  <h4 class="card-title">LISTE DES REPRESENTANTS </h4>
                  <p class="card-category"> </p>
                </div>
                <div class="card-body">
                  <div class="table-responsive">
                    <table class="table table-striped bordered" id="table">
                      <thead class="text-primary">
                        <th>
                          Nom
                        </th>
                        <th>
                          Prenom
                        </th>
                        <th>
                          Contact
                        </th>
                        <th>
                          Numero CNI/Passeport 
                        </th>
                        <th>
                          Action 
                        </th>
                      </thead>
                      <tbody>
                        @foreach($rep_clients as $rp)
                          <tr>
                            <td>
                              {{ $rp->nom }}
                            </td>
                            <td>
                              {{ $rp->prenom }}
                            </td>
                            <td>
                              {{ $rp->telephone }}
                            </td>
                            <td> 
                              {{ $rp->cni_passeport }}
                            </td> 
                            <td>
                              <a href="{{ route('representant.edit', ['id' => $rp->id]) }}" class="btn btn-warning  btn-fill"> <i class="pe-7s-pen"></i></a>
                              &nbsp;
                              @if(Auth::user()->type == 'Super Administrateur')
                                <a class="btn btn-danger btn-fill modal-delete" data-toggle="modal" data-target="#modal-delete" data-representant_id="{{$rp->id}}"> 
                                  <i class="pe-7s-trash"></i>
                                </a>
                              @endif
                            </td>
                          </tr>
                        @endforeach
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        
<!-- Modal -->
<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"  data-backdrop="false">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
            </div>
            <form action="{{ route('representant.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input type="hidden" name="representant_id" id="representant_id"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
  
</div>
<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#representant_id').val($(this).data('representant_id'));
  });

</script>
@endsection 