@extends('dashboard')

@section('content')
<div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">NOUVEAU UTILISATEUR</h4>
                  <p class="card-category">Veuillez remplir ces champs</p>
                </div>
                <div class="card-body">
                  <form action="{{ route('utilisateur.store')}}" method="POST">
                    {{ csrf_field() }}
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Nom</label>
                          <input type="nom" class="form-control @if($errors->has('nom')) bg-danger @endif" name="nom" value="{{ old('nom')}}">
                          @if ($errors->has('nom'))
                            <span class="text-danger">{{ $errors->first('nom') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Prenom</label>
                          <input type="text" class="form-control @if($errors->has('prenom')) bg-danger @endif" name="prenom" value="{{ old('prenom')}}">
                          @if ($errors->has('prenom'))
                            <span class="text-danger">{{ $errors->first('prenom') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Telephone</label>
                          <input type="text" class="form-control @if($errors->has('telephone')) bg-danger @endif" name="telephone" value="{{ old('telephone')}}">
                          @if ($errors->has('telephone'))
                            <span class="text-danger">{{ $errors->first('telephone') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Email</label>
                          <input type="text" class="form-control @if($errors->has('email')) bg-danger @endif" name="email" value="{{ old('email')}}">
                          @if ($errors->has('email'))
                            <span class="text-danger">{{ $errors->first('email') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Mot de Passe</label>
                          <input type="password" id="password" class="form-control @if($errors->has('password')) bg-danger @endif" name="password" value="{{ old('password')}}">
                          @if ($errors->has('password'))
                            <span class="text-danger">{{ $errors->first('password') }}</span>
                          @endif
                        </div>
                      </div>
                    </div> 
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Confirmation Mot de Passe</label>
                          <input type="password" id="password_confirmation" class="form-control @if($errors->has('password_confirmation')) bg-danger @endif" name="password_confirmation" value="{{ old('password_confirmation')}}">
                          @if ($errors->has('password_confirmation'))
                            <span class="text-danger">{{ $errors->first('password_confirmation') }}</span>
                          @endif
                        </div>
                      </div>
                    </div> 
                    @if(Auth::user()->type == 'Super Administrateur')
                      <div class="row">
                        <div class="col-md-12">
                          <div class="form-group">
                            <label class="bmd-label-floating">Niveau d'utilisateur</label>
                            <select class="form-control" name="type"> 
                              <option> Administrateur</option> 
                              <option> Super Administrateur</option> 
                            </select> 
                          </div>
                        </div>
                      </div> 
                    @endif 
                    <button type="submit" class="btn btn-primary pull-right">ENREGISTRER</button>
                    <div class="clearfix"></div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
@endsection