@extends('dashboard')

@section('content')
<div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary text-center">
                  <h4 class="card-title">MODIFICATION UTILISATEUR</h4>
                  <p class="card-category">Veuillez remplir ces champs</p>
                </div>
                <div class="card-body">
                  <form action="{{ route('utilisateur.update', ['id' => $utilisateur->id] )}}" method="POST">
                    {{ csrf_field() }}
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Nom</label>
                          <input type="nom" class="form-control @if($errors->has('nom')) bg-danger @endif" name="nom" value="{{ $utilisateur->nom }}">
                          @if ($errors->has('nom'))
                            <span class="text-danger">{{ $errors->first('nom') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Prenom</label>
                          <input type="text" class="form-control @if($errors->has('prenom')) bg-danger @endif" name="prenom" value="{{ $utilisateur->prenom }}">
                          @if ($errors->has('prenom'))
                            <span class="text-danger">{{ $errors->first('prenom') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Email</label>
                          <input type="text" class="form-control @if($errors->has('email')) bg-danger @endif" name="email" value="{{ $utilisateur->email }}">
                          @if ($errors->has('email'))
                            <span class="text-danger">{{ $errors->first('email') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Mot de Passe</label>
                          <input type="password" id="password" class="form-control @if($errors->has('password')) bg-danger @endif" name="password" value="{{ old('password')}}">
                          @if ($errors->has('password'))
                            <span class="text-danger">{{ $errors->first('password') }}</span>
                          @endif
                        </div>
                      </div>
                    </div> 
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Confirmation Mot de Passe</label>
                          <input type="password" id="password_confirmation" class="form-control @if($errors->has('password_confirmation')) bg-danger @endif" name="password_confirmation" value="{{ old('password_confirmation')}}">
                          @if ($errors->has('password_confirmation'))
                            <span class="text-danger">{{ $errors->first('password_confirmation') }}</span>
                          @endif
                        </div>
                      </div>
                    </div> 
                    <div class="text-center"> 
                        <button type="submit" class="btn btn-warning btn-fill pull-center">ENREGISTRER</button>
                    </div> 
             
                    <div class="clearfix"></div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
@endsection