@extends('dashboard')
@section('content') 
<div class="container-fluid">
    <div>   
      <a href="{{ route('utilisateur.create') }}" class="btn btn-success btn-fill"> <i class="pe-7s-plus"></i>NOUVEAU UTILISATEUR</a>
      <div> 
    </div>
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title text-center">LISTE DES UTILISATEURS</h4>
                  <p class="card-category"> </p>
                </div>
                <div class="card-body">
                  <div class="table-responsive">
                    <table class="table table-striped bordered" id="table">
                      <thead class="text-primary">
                        <th>
                          Nom
                        </th>
                        <th>
                          Prenom
                        </th>
                        <th>
                          Email
                        </th>
                        <th>
                          Type
                        </th>
                        <th>
                          Action
                        </th>
                      </thead>
                      <tbody>
                        @if(Auth::user()->type == 'Super Administrateur')
                          @foreach($utilisateurs as $u)
                              <tr>
                                <td>
                                  {{ $u->nom }}
                                </td>
                                <td>
                                  {{ $u->prenom }}
                                </td>
                                <td>
                                  {{ $u->email }}
                                </td>
                                <td>
                                  {{ $u->type }}
                                </td>
                                <td>
                                  <a class="btn btn-primary btn-fill" style="color: #fff;"> <i class="pe-7s-look"></i></a>
                                  &nbsp;
                                  <a href="{{ route('utilisateur.edit', ['id' => $u->id]) }}" class="btn btn-warning btn-fill" style="color: #fff;"> <i class="pe-7s-pen"></i></a>
                                  &nbsp;
                                  @if(Auth::user()->type == 'Super Administrateur')
                                    <a class="btn btn-danger modal-delete btn-fill" data-toggle="modal" data-target="#modal-delete" data-id_utilisateur="{{$u->id}}" style="color: #fff;"> 
                                      <i class="pe-7s-trash"></i>
                                    </a>
                                  @endif
                                </td>
                              </tr> 
                          @endforeach

                        @else 
                          @foreach($utilisateurs as $u)
                            @if($u->type == 'Administrateur')
                              <tr>
                                <td>
                                  {{ $u->nom }}
                                </td>
                                <td>
                                  {{ $u->prenom }}
                                </td>
                                <td>
                                  {{ $u->email }}
                                </td>
                                <td>
                                  {{ $u->type }}
                                </td>
                                <td>
                                  <a class="btn btn-primary btn-fill" style="color: #fff;"> <i class="pe-7s-look"></i></a>
                                  &nbsp;
                                  <a href="{{ route('utilisateur.edit', ['id' => $u->id]) }}" class="btn btn-warning" style="color: #fff;"> <i class="pe-7s-pen"></i></a>
                                  &nbsp;
                                  @if(Auth::user()->type == 'Super Administrateur')
                                    <a class="btn btn-danger modal-delete btn-fill" data-toggle="modal" data-target="#modal-delete" data-id_utilisateur="{{$u->id}}" style="color: #fff;"> 
                                      <i class="pe-7s-trash"></i>
                                    </a>
                                  @endif
                                </td>
                              </tr> 
                            @endif
                          @endforeach
                        @endif 
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        
<!-- Modal -->
<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"  data-backdrop="false">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
            </div>
            <form action="{{ route('utilisateur.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input type="hidden" name="id_utilisateur" id="id_utilisateur"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
  
</div>
<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#id_utilisateur').val($(this).data('id_utilisateur'));
  });

</script>
@endsection 