@extends('dashboard')

@section('content')
<div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary text-center">
                  <h4 class="card-title">VIREMENT INTERNE </h4>
                  <p class="card-category">Veuillez remplir ces champs</p>
                </div>
                <div class="card-body">
                  <form action="{{ route('virement.store')}}" method="POST">
                    {{ csrf_field() }}
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Compte Source </label>
                          <select class="form-control" name="compte_source">
                            @foreach($css as $cs)
                              <option value="{{$cs->id}}"> {{ $cs->libelle }} </option> 
                            @endforeach
                          </select>
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Compte Destination</label>
                          <select class="form-control" name="compte_destination">
                            @foreach($cds as $cd)
                              <option value="{{$cd->id}}"> {{ $cd->libelle }} </option> 
                            @endforeach
                          </select>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Description</label>
                          <input type="text" class="form-control @if($errors->has('description')) bg-danger @endif" name="description" value="{{ old('description')}}">
                          @if ($errors->has('description'))
                            <span class="text-danger">{{ $errors->first('description') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <label class="bmd-label-floating">Montant</label>
                          <input type="text" class="form-control @if($errors->has('montant')) bg-danger @endif" name="montant" value="{{ old('montant')}}">
                          @if ($errors->has('montant'))
                            <span class="text-danger">{{ $errors->first('montant') }}</span>
                          @endif
                        </div>
                      </div>
                    </div>
                    <button type="submit" class="btn btn-primary pull-right">ENREGISTRER</button>
                    <div class="clearfix"></div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
@endsection