@extends('dashboard')

@section('content')
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header card-header-primary text-center">
          <h4 class="card-title">NOUVELLE VISITE</h4>
          <p class="card-category">Veuillez remplir ces champs</p>
        </div>
        <div class="card-body">
          <form action="{{ route('visite.store')}}" method="POST">
            {{ csrf_field() }}
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Client</label>
                  <select class="form-control" name="client"> 
                      @foreach($clients as $c) 
                        <option value="{{ $c->id }}"> {{ $c->prenom . ' ' . $c->nom }} </option> 
                      @endforeach
                  </select> 
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label class="bmd-label-floating">Parcelles</label>
                  <select class="form-control" name="parcelle"> 
                      @foreach($parcelles as $p) 
                        <option value="{{ $p->id }}"> {{ $p->site . ' ' . $p->numero . ' ' . $p->surface }} </option> 
                      @endforeach
                  </select> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Commentaires</label>
                  <input type="text" class="form-control @if($errors->has('commentaires')) bg-danger @endif" name="commentaires" value="{{ old('commentaires')}}">
                  @if ($errors->has('commentaires'))
                    <span class="text-danger">{{ $errors->first('commentaires') }}</span>
                  @endif
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label class="bmd-label-floating">Agents</label>
                  <select class="form-control" name="agent"> 
                      @foreach($agents as $a) 
                        <option value="{{ $a->id }}"> {{ $a->prenom . ' ' . $a->nom }} </option> 
                      @endforeach
                  </select> 
                </div>
              </div>
            </div>
            <div class="text-center"> 
                <button type="submit" class="btn btn-primary btn-fill pull-center">ENREGISTRER</button>
            </div> 
            <div class="clearfix"></div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection