@extends('dashboard')
@section('content') 
<div class="container-fluid">
  <div>   
    <a href="{{ route('visite.create') }}" class="btn btn-success btn-fill"> <i class="pe-7s-plus"></i> NOUVELLE VISITE </a>
  </div>
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header card-header-primary text-center">
          <h4 class="card-title">LISTE DES VISITES </h4>
          <p class="card-category"> </p>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped bordered" id="table">
              <thead class="text-primary">
                <th>
                  Client
                </th>
                <th>
                  Contact
                </th>
                <th>
                  Parcelle
                </th>
                <th>
                    Agent 
                </th>
                <th>
                  Date
                </th>
                <th>
                    Commentaires
                </th>
                <th>
                  Action 
                </th>
              </thead>
              <tbody>
                @foreach($visites as $v)
                  @foreach($programmes as $p)
                    @if($v->id_site == $p->id )
                      <tr>
                        <td>
                          {{ $v->prenom .' '. $v->nom }}
                        </td>
                        <td> 
                            {{ $v->telephone }}
                        </td>
                        <td>
                          {{ $p->site . ' numéro : ' . $v->numero . ' ' . $v->surface . ' m²'}}
                        </td>
                        <td>
                          {{ $v->agent_prenom . ' ' . $v->agent_nom }}
                        </td>
                        <td> 
                            {{ Carbon\Carbon::parse($v->created_at)->day . '-' . Carbon\Carbon::parse($v->created_at)->month . '-'. Carbon\Carbon::parse($v->created_at)->year  }}
                        </td>
                        <td>
                          {{ $v->commentaires }}
                        </td>
                        <td>
                          &nbsp;
                          @if(Auth::user()->type == 'Super Administrateur')
                            <a class="btn btn-danger btn-fill modal-delete" data-toggle="modal" data-target="#modal-delete" data-id_visite="{{$v->id}}"> 
                              <i class="pe-7s-trash"></i>
                            </a>
                          @endif
                        </td>
                      </tr>
                    @endif 
                  @endforeach
                @endforeach
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

        
<!-- Modal -->
<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"  data-backdrop="false">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
            </div>
            <form action="{{ route('visite.delete')}}" method="post">
              <div class="modal-body">
              {{ csrf_field() }}
                  <input type="hidden" name="id_visite" id="id_visite"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
  
</div>
<script> 
  $(document).ready( function () {
    $('#table').DataTable({
      select: true
    });
  }); 

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#id_visite').val($(this).data('id_visite'));
  });

</script>
@endsection 