<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ClientController; 
use App\Http\Controllers\ParcelleController; 
use App\Http\Controllers\AgentController; 
use App\Http\Controllers\DossierController; 
use App\Http\Controllers\DocumentpdfController; 
use App\Http\Controllers\DechargeController; 
use App\Http\Controllers\EnregistrementController; 

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::post('/enregistrement', [EnregistrementController::class, 'ajouter'])->name('enregistrement.ajouter'); 

Route::get('/admin', function () {
    return view('auth.login');
});

/* 
    Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
        return view('index');
    })->name('dashboard');
*/ 

    // Middleware 
Route::middleware(['auth:sanctum', 'verified'])->group( function () {


    Route::get('/eleves',[App\Http\Controllers\EnregistrementController::class, 'index'])->name('eleve.index'); 

    Route::get('/eleve-view-{id}',[App\Http\Controllers\EnregistrementController::class, 'view'])->name('eleve.view'); 
    Route::get('/eleves-edit-{id}',[App\Http\Controllers\EnregistrementController::class, 'edit'])->name('eleve.edit'); 
    Route::post('/eleves-update-{id}',[App\Http\Controllers\EnregistrementController::class, 'update'])->name('eleve.update'); 
    Route::post('/eleve-delete',[App\Http\Controllers\EnregistrementController::class, 'delete'])->name('eleve.delete'); 

    /** CLIENTS */
    Route::get('/test', function(){
        return view('dashboard'); 
    }); 

    Route::get('/accueil', function () {
        $sessions = DB::table('sessions')
        ->join('users', 'users.id', '=', 'sessions.user_id')
        ->select('users.nom', 'users.prenom', 'sessions.ip_address', 'sessions.user_agent', 'last_activity')
        ->get(); 
        dd('sd'); 
        return view('home')->with('sessions', $sessions);
    })->name('accueil'); 

        // Dashboard
        Route::get('/dashboard', function () {
            $sessions = DB::table('sessions')
            ->join('users', 'users.id', '=', 'sessions.user_id')
            ->select('users.nom', 'users.prenom', 'sessions.ip_address', 'sessions.user_agent', 'last_activity')
            ->get(); 
            
            return view('index')->with('sessions', $sessions);
        })->name('dashboard'); 



        
        // Index
        Route::get('/client', [ClientController::class, 'index'])->name('client.index'); 

         // Create clients 
         Route::get('/client-create', [
            'uses' => 'App\Http\Controllers\ClientController@create', 
            'as' => 'client.create'
        ]); 

          // Edit Clients 
          Route::get('/client-edit-{id}', [
            'uses' => 'App\Http\Controllers\ClientController@edit', 
            'as' => 'client.edit'
        ]); 
        
        // Update Client 
        Route::post('/client-update-{id}', [
            'uses' => 'App\Http\Controllers\ClientController@update', 
            'as' => 'client.update'
        ]); 

        Route::get('/client-{id}', [
            'uses' => 'App\Http\Controllers\ClientController@show', 
            'as' => 'client.show'
        ]); 
            
        // Store clients 
        Route::post('/client-account-add', [
            'uses' => 'App\Http\Controllers\ClientController@addAccount', 
            'as' => 'client.account.add'
        ]); 

        // Store Clients 
        Route::post('/client-store', [
            'uses' => 'App\Http\Controllers\ClientController@store', 
            'as' => 'client.store'
        ]); 
        
        // Delete Client 
        Route::post('client-delete', [
            'uses' => 'App\Http\Controllers\ClientController@delete', 
            'as' => 'client.delete'
        ]); 
        
         /** REPRESENTANT */
        
        // Index
        Route::get('/representant', [
            'uses' => 'App\Http\Controllers\RepresentantController@index', 
            'as' => 'representant.index'
        ]); 

        // Create Representants 
        Route::get('/representant-create', [
            'uses' => 'App\Http\Controllers\RepresentantController@create', 
            'as' => 'representant.create'
        ]); 

        // Store Representants 
        Route::post('/representant-store', [
            'uses' => 'App\Http\Controllers\RepresentantController@store', 
            'as' => 'representant.store'
        ]); 
        
        // Edit Representants 
        Route::get('/representant-edit-{id}', [
            'uses' => 'App\Http\Controllers\RepresentantController@edit', 
            'as' => 'representant.edit'
        ]); 
        
        // Update Representants 
        Route::post('/representant-edit-{id}', [
            'uses' => 'App\Http\Controllers\RepresentantController@update', 
            'as' => 'representant.update'
        ]);

        // Delete Representants 
        Route::post('/representant-delete', [
            'uses' => 'App\Http\Controllers\RepresentantController@delete', 
            'as' => 'representant.delete'
        ]); 
        
         /** PROGRAMME */
        
        // Index
        Route::get('/programme', [
            'uses' => 'App\Http\Controllers\ProgrammeController@index', 
            'as' => 'programme.index'
        ]); 

        // Note de Frai
        Route::get('/programme-notefrai-{idSite}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@notefrai', 
            'as' => 'programme.notefrai'
        ]); 

         // Entree
         Route::get('/programme-entree-{idSite}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@entree', 
            'as' => 'programme.entree'
        ]); 

        Route::get('/programme-benefice-{idSite}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@benefice', 
            'as' => 'programme.benefice'
        ]); 
        // Create Representants 
        Route::get('/programme-create', [
            'uses' => 'App\Http\Controllers\ProgrammeController@create', 
            'as' => 'programme.create'
        ]); 

        // Store Representants 
        Route::post('/programme-store', [
            'uses' => 'App\Http\Controllers\ProgrammeController@store', 
            'as' => 'programme.store'
        ]); 
        
        // Edit Representants 
        Route::get('/programme-edit-{id}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@edit', 
            'as' => 'programme.edit'
        ]); 
        
        // Update Representants 
        Route::post('/programme-update-{id}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@update', 
            'as' => 'programme.update'
        ]);

        // Delete Representants 
        Route::post('/programme-delete', [
            'uses' => 'App\Http\Controllers\ProgrammeController@delete', 
            'as' => 'programme.delete'
        ]); 

         /** DOSSIER */
        
        // Index
        Route::get('/dossier', [
            'uses' => 'App\Http\Controllers\DossierController@index', 
            'as' => 'dossier.index'
        ]); 

        Route::get('/dossier-show-{id}', [
            'uses' => 'App\Http\Controllers\DossierController@show', 
            'as' => 'dossier.show'
        ]); 

        // Create Dossier 
        Route::get('/dossier-create', [
            'uses' => 'App\Http\Controllers\DossierController@create', 
            'as' => 'dossier.create'
        ]); 

        Route::post('/dossier-reservation', [DossierController::class, 'reservation'])->name('dossier.reservation'); 

        // Store Dossier 
        Route::post('/dossier-store', [
            'uses' => 'App\Http\Controllers\DossierController@store', 
            'as' => 'dossier.store'
        ]); 
        
        // Edit Dossier 
        Route::get('/dossier-edit-{id}', [
            'uses' => 'App\Http\Controllers\DossierController@edit', 
            'as' => 'dossier.edit'
        ]); 
        
        // Update Dossier 
        Route::post('/dossier-update-{id}', [
            'uses' => 'App\Http\Controllers\DossierController@update', 
            'as' => 'dossier.update'
        ]);

        // Delete Dossier 
        Route::post('/dossier-delete', [
            'uses' => 'App\Http\Controllers\DossierController@delete', 
            'as' => 'dossier.delete'
        ]); 
        
        /** DOUMENT PDF */

        Route::get('/contrat-{id}', [DocumentpdfController::class, 'contrat'])->name('contrat');
        
        Route::get('/souscription', [SouscriptionController::class, 'souscription'])->name('souscription');
        
        Route::get('/decharge-{id}', [DechargeController::class, 'decharge'])->name('decharge');
         /** VERSEMENT */
        
        // Index
        Route::get('/versement', [
            'uses' => 'App\Http\Controllers\VersementController@index', 
            'as' => 'versement.index'
        ]); 

        Route::get('/versement-restant', [
            'uses' => 'App\Http\Controllers\VersementController@restant', 
            'as' => 'versement.restant'
        ]); 

        // Create Representants 
        Route::get('/versement-create', [
            'uses' => 'App\Http\Controllers\VersementController@create', 
            'as' => 'versement.create'
        ]); 
        
        Route::post('/versement-store', [
            'uses' => 'App\Http\Controllers\VersementController@store', 
            'as' => 'versement.store'
        ]); 

        Route::get('/versement-edit-{id}', [
            'uses' => 'App\Http\Controllers\VersementController@edit', 
            'as' => 'versement.edit'
        ]); 

        Route::get('/versement-{idClient}-{annee}', [
            'uses' => 'App\Http\Controllers\VersementController@show', 
            'as' => 'versement.show'
        ]); 

     
        Route::post('/versement-update-{id}', [
            'uses' => 'App\Http\Controllers\VersementController@update', 
            'as' => 'versement.update'
        ]); 
        
        Route::post('/versement-delete', [
            'uses' => 'App\Http\Controllers\VersementController@delete', 
            'as' => 'versement.delete'
        ]); 

          /** PENALITE */
        
        // Index
        Route::get('/penalite', [
            'uses' => 'App\Http\Controllers\PenaliteController@index', 
            'as' => 'penalite.index'
        ]); 

        //Penalite 
        
        Route::get('/penalite-create', [
            'uses' => 'App\Http\Controllers\PenaliteController@create', 
            'as' => 'penalite.create'
        ]); 
        
        Route::get('/penalite-edit-{id}', [
            'uses' => 'App\Http\Controllers\PenaliteController@edit', 
            'as' => 'penalite.edit'
        ]); 

        Route::get('/penalite-{idClient}-{annee}', [
            'uses' => 'App\Http\Controllers\PenaliteController@show', 
            'as' => 'penalite.show'
        ]); 

     
        Route::post('/penalite-update-{id}', [
            'uses' => 'App\Http\Controllers\PenaliteController@update', 
            'as' => 'penalite.update'
        ]); 
        
        Route::post('/penalite-delete', [
            'uses' => 'App\Http\Controllers\PenaliteController@delete', 
            'as' => 'penalite.delete'
        ]);

        Route::get('/mes_penalites', [
            'uses' => 'App\Http\Controllers\PenaliteController@MesPenalites', 
            'as' => 'penalite.mes_penalites'
        ]);

        // Store Representants 
        
        // Edit Representants 
        Route::get('/programme-edit-{id}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@edit', 
            'as' => 'programme.edit'
        ]); 
        
        // Update Representants 
        Route::post('/programme-edit-{id}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@update', 
            'as' => 'programme.update'
        ]);

        // Delete Representants 
      
        
          /** TUTEUR COMMERCIAL */
        
            // Index
        Route::get('/agent', [AgentController::class, 'index'])->name('agent.index'); 

            // Create Representants 
        Route::get('/agent-create', [AgentController::class, 'create'])->name('agent.create'); 

            // Store Representants 
        Route::post('/agent-store', [AgentController::class, 'store'])->name('agent.store'); 
        
            // Edit Representants 
        Route::get('/agent-edit-{id}', [AgentController::class, 'edit'])->name('agent.edit'); 
        
            // Update Representants 
        Route::post('/agent-edit-{id}', [AgentController::class, 'update'])->name('agent.update');

            // Delete Representants 
        Route::post('/agent-delete', [AgentController::class, 'delete'])->name('agent.delete'); 

          /** DOCUMENT */
        
        // Index
        Route::get('/document-liste-{id}', [
            'uses' => 'App\Http\Controllers\DocumentController@listeDocument', 
            'as' => 'document.liste'
        ]); 

        // Create Representants 
        Route::get('/document-create-{id}-{dossier_id}', [
            'uses' => 'App\Http\Controllers\DocumentController@create', 
            'as' => 'document.create'
        ]); 

        // Store Representants 
        Route::post('/document-store', [
            'uses' => 'App\Http\Controllers\DocumentController@store', 
            'as' => 'document.store'
        ]); 
        
        // Edit Representants 
        Route::get('/programme-edit-{id}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@edit', 
            'as' => 'programme.edit'
        ]); 

        Route::get('/parcelle', [ParcelleController::class, 'index'])->name('parcelle.index'); 
   
        Route::get('/parcelle-edit-{id}', [
            'uses' => 'App\Http\Controllers\ParcelleController@edit',
            'as' => 'parcelle.edit'
        ]);
        // Update Representants 
        Route::post('/programme-edit-{id}', [
            'uses' => 'App\Http\Controllers\ProgrammeController@update', 
            'as' => 'programme.update'
        ]);

        // Delete Representants 
        Route::post('/document-delete', [
            'uses' => 'App\Http\Controllers\DocumentController@delete', 
            'as' => 'document.delete'
        ]); 

           /** UTILISATEURS */
        
        // Index
        Route::get('/utilisateur', [
            'uses' => 'App\Http\Controllers\UtilisateurController@index', 
            'as' => 'utilisateur.index'
        ]); 

        // Create Utilisateurs 
        Route::get('/utilisateur-create', [
            'uses' => 'App\Http\Controllers\UtilisateurController@create', 
            'as' => 'utilisateur.create'
        ]); 

        // Store Utilisateurs 
        Route::post('/utilisateur-store', [
            'uses' => 'App\Http\Controllers\UtilisateurController@store', 
            'as' => 'utilisateur.store'
        ]); 
        
        // Edit Utilisateurs 
        Route::get('/utilisateur-edit-{id}', [
            'uses' => 'App\Http\Controllers\UtilisateurController@edit', 
            'as' => 'utilisateur.edit'
        ]); 
        
        // Update Utilisateurs 
        Route::post('/utilisateur-update-{id}', [
            'uses' => 'App\Http\Controllers\UtilisateurController@update', 
            'as' => 'utilisateur.update'
        ]);

        // Delete Utilisateurs 
        Route::post('/utilisateur-delete', [
            'uses' => 'App\Http\Controllers\UtilisateurController@delete', 
            'as' => 'utilisateur.delete'
        ]); 

        /** ESPACE CLIENTS  */

          // Index
          Route::get('/dossier-client', [
            'uses' => 'App\Http\Controllers\DossierController@listeDossierClient', 
            'as' => 'dossier.client.liste'
        ]); 

        Route::get('/dossier-client-view', [
            'uses' => 'App\Http\Controllers\DossierController@ViewDossierClient', 
            'as' => 'dossier.client'
        ]); 
        
        
            /** ESPACE CLIENT */

        Route::get('/mes_dossiers', [
            'uses' => 'App\Http\Controllers\DossierController@MesDossiers', 
            'as' => 'mes_dossiers'
        ]); 

        Route::get('/mes_documents-{id}', [
            'uses' => 'App\Http\Controllers\DocumentController@MesDocuments', 
            'as' => 'mes_documents'
        ]);

        Route::get('/mes_versements', [
            'uses' => 'App\Http\Controllers\VersementController@MesVersements', 
            'as' => 'mes_versements'
        ]);

        Route::get('/mes_agents', [
            'uses' => 'App\Http\Controllers\AgentController@MesAgents', 
            'as' => 'mes_agents'
        ]);
    
        
           /** UTILISATEURS */
        
        // Index
        Route::get('/profile', [
            'uses' => 'App\Http\Controllers\ProfileController@index', 
            'as' => 'profile.index'
        ]); 
        
        Route::get('/profile-edit', [
            'uses' => 'App\Http\Controllers\ProfileController@edit', 
            'as' => 'profile.edit'
        ]); 

        Route::post('/profile-update', [
            'uses' => 'App\Http\Controllers\ProfileController@update', 
            'as' => 'profile.update'
        ]); 

        /** Parcelle */
    
        Route::get('/parcelle', [ParcelleController::class, 'index'])->name('parcelle.index');

        Route::post('/parcelle-create', [
            'uses' => 'App\Http\Controllers\ParcelleController@store',
            'as' => 'parcelle.create'
        ]); 

        Route::get('/parcelle-edit-{id}', [
            'uses' => 'App\Http\Controllers\ParcelleController@edit',
            'as' => 'parcelle.edit'
        ]);

        Route::post('/parcelle-update-{id}', [
            'uses' => 'App\Http\Controllers\ParcelleController@update',
            'as' => 'parcelle.update', 
        ]);

        Route::post('/parcelle-delete', [
            'uses' => 'App\Http\Controllers\ParcelleController@delete', 
            'as' => 'parcelle.delete'
        ]); 

        Route::get('/session', [
            'uses' => 'App\Http\Controllers\SessionloginController@index', 
            'as' => 'session.index'
        ]); 


        /** Banque ou Caisse */
    
        Route::get('/banquecaisse', [
            'uses' => 'App\Http\Controllers\BanqueCaisseController@index',
            'as' => 'banquecaisse.index'
        ]);

        Route::get('/banquecaisse-create', [
            'uses' => 'App\Http\Controllers\BanqueCaisseController@create',
            'as' => 'banquecaisse.create'
        ]); 
        
        Route::post('/banquecaisse-store', [
            'uses' => 'App\Http\Controllers\BanqueCaisseController@store',
            'as' => 'banquecaisse.store'
        ]); 

        Route::get('/banquecaisse-edit-{id}', [
            'uses' => 'App\Http\Controllers\BanqueCaisseController@edit',
            'as' => 'banquecaisse.edit'
        ]);

        Route::post('/banquecaisse-update-{id}', [
            'uses' => 'App\Http\Controllers\BanqueCaisseController@update',
            'as' => 'banquecaisse.update', 
        ]);

        Route::post('/banquecaisse-delete', [
            'uses' => 'App\Http\Controllers\BanqueCaisseController@delete', 
            'as' => 'banquecaisse.delete'
        ]); 

        /** Note de Frai */
    
        Route::get('/notefrai', [
            'uses' => 'App\Http\Controllers\NoteFraiController@index',
            'as' => 'notefrai.index'
        ]);

        Route::get('/notefrai-create', [
            'uses' => 'App\Http\Controllers\NoteFraiController@create',
            'as' => 'notefrai.create'
        ]); 

        Route::post('/notefrai-create', [
            'uses' => 'App\Http\Controllers\NoteFraiController@store',
            'as' => 'notefrai.store'
        ]); 

        Route::get('/notefrai-edit-{id}', [
            'uses' => 'App\Http\Controllers\NoteFraiController@edit',
            'as' => 'notefrai.edit'
        ]);

        Route::post('/banquecaisse-update-{id}', [
            'uses' => 'App\Http\Controllers\NoteFraiController@update',
            'as' => 'notefrai.update', 
        ]);

        Route::post('/notefrai-delete', [
            'uses' => 'App\Http\Controllers\NoteFraiController@delete', 
            'as' => 'notefrai.delete'
        ]); 

        /** Journal Tresorerie */
    
        Route::get('/journaltresorerie', [
            'uses' => 'App\Http\Controllers\JournalTresorerieController@index',
            'as' => 'journaltresorerie.index'
        ]);

        Route::post('/journaltresorerie-create', [
            'uses' => 'App\Http\Controllers\JournalTresorerieController@store',
            'as' => 'journaltresorerie.create'
        ]); 

        Route::get('/journaltresorerie-edit-{id}', [
            'uses' => 'App\Http\Controllers\JournalTresorerieController@edit',
            'as' => 'journaltresorerie.edit'
        ]);

        Route::post('/journaltresorerie-update-{id}', [
            'uses' => 'App\Http\Controllers\JournalTresorerieController@update',
            'as' => 'journaltresorerie.update', 
        ]);

        Route::post('/journaltresorerie-delete', [
            'uses' => 'App\Http\Controllers\JournalTresorerieController@delete', 
            'as' => 'journaltresorerie.delete'
        ]);

         /** Journal Caisse */
    
        Route::get('/journalcaisse', [
            'uses' => 'App\Http\Controllers\JournalCaisseController@index',
            'as' => 'journalcaisse.index'
        ]);

        Route::post('/journalcaisse-create', [
            'uses' => 'App\Http\Controllers\JournalCaisseController@store',
            'as' => 'journalcaisse.create'
        ]); 

        Route::get('/journalcaisse-edit-{id}', [
            'uses' => 'App\Http\Controllers\JournalCaisseController@edit',
            'as' => 'journalcaisse.edit'
        ]);

        Route::post('/journalcaisse-update-{id}', [
            'uses' => 'App\Http\Controllers\JournalCaisseController@update',
            'as' => 'journalcaisse.update', 
        ]);

        Route::post('/journalcaisse-delete', [
            'uses' => 'App\Http\Controllers\JournalCaisseController@delete', 
            'as' => 'journalcaisse.delete'
        ]);

          /** Journal Note de Frai */
    
        Route::get('/journalnotefrai', [
            'uses' => 'App\Http\Controllers\JournalNotefraiController@index',
            'as' => 'journalnotefrai.index'
        ]);

        Route::post('/journalnotefrai-create', [
            'uses' => 'App\Http\Controllers\JournalNoteFraiController@store',
            'as' => 'journalnotefrai.create'
        ]); 

        Route::get('/journalnotefrai-edit-{id}', [
            'uses' => 'App\Http\Controllers\JournalNoteFraiController@edit',
            'as' => 'journalnotefrai.edit'
        ]);

        Route::post('/journalnotefrai-update-{id}', [
            'uses' => 'App\Http\Controllers\JournalNoteFraiController@update',
            'as' => 'journalnotefrai.update', 
        ]);

        Route::post('/journalnotefrai-delete', [
            'uses' => 'App\Http\Controllers\JournalNoteFraiController@delete', 
            'as' => 'journalnotefrai.delete'
        ]);

        
          /** Virement Interne */
    
        Route::get('/virement', [
            'uses' => 'App\Http\Controllers\VirementInterneController@index',
            'as' => 'virement.index'
        ]);

        Route::get('/virement-create', [
            'uses' => 'App\Http\Controllers\VirementInterneController@create',
            'as' => 'virement.create'
        ]); 
        
        
        Route::post('/virement-store', [
            'uses' => 'App\Http\Controllers\VirementInterneController@store',
            'as' => 'virement.store'
        ]); 

        Route::get('/virement-edit-{id}', [
            'uses' => 'App\Http\Controllers\VirementInterneController@edit',
            'as' => 'virement.edit'
        ]);

        Route::post('/virement-update-{id}', [
            'uses' => 'App\Http\Controllers\VirementInterneController@update',
            'as' => 'virement.update', 
        ]);

        Route::post('/virement-delete', [
            'uses' => 'App\Http\Controllers\VirementInterneController@delete', 
            'as' => 'virement.delete'
        ]);

           
          /** Visite */
    
        Route::get('/visite', [
            'uses' => 'App\Http\Controllers\VisiteController@index',
            'as' => 'visite.index'
        ]);

        Route::get('/visite-create', [
            'uses' => 'App\Http\Controllers\VisiteController@create',
            'as' => 'visite.create'
        ]); 
        
        Route::post('/visite-store', [
            'uses' => 'App\Http\Controllers\VisiteController@store',
            'as' => 'visite.store'
        ]); 

        Route::get('/visite-edit-{id}', [
            'uses' => 'App\Http\Controllers\VisiteController@edit',
            'as' => 'visite.edit'
        ]);

        Route::post('/visite-update-{id}', [
            'uses' => 'App\Http\Controllers\VisiteController@update',
            'as' => 'visite.update', 
        ]);

        Route::post('/visite-delete', [
            'uses' => 'App\Http\Controllers\VisiteController@destroy', 
            'as' => 'visite.delete'
        ]);
});

  