<?php $__env->startSection('content'); ?> 
<div class="container-fluid">
    <div>   
      <a href="<?php echo e(route('client.create')); ?>" class="btn btn-success btn-fill"> <i class="pe-7s-plus"></i> NOUVEAU CLIENT</a>
    </div>
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header card-header-primary text-center">
            <h4 class="card-title">LISTE DES CLIENTS </h4>
            <p class="card-category"></p>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-striped bordered" id="table">
                <thead class="text-primary">
                  <th>
                    Photo
                  </th>
                  <th>
                    Nom
                  </th>
                  <th>
                    Prenom
                  </th>
                  <th>
                    Telephone
                  </th>
                  <th>
                    Action
                  </th>
                </thead>
                <tbody>
                  <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                      <td> 
                        <img src="<?php echo e('uploads/photo/' .$c->photo); ?>" class="rounded-circle" style="height: 10vh;" />
                      </td>
                      <td>
                        <?php echo e($c->nom); ?>

                      </td>
                      <td>
                        <?php echo e($c->prenom); ?>

                      </td>
                      <td>
                        <?php echo e($c->telephone); ?>

                      </td>
                      <td>
                        <a class="btn btn-success modal-account btn-fill" data-toggle="modal" data-target="#modal-account"  data-id_client="<?php echo e($c->id); ?>"> <i class="pe-7s-user"></i></a>
                        &nbsp;
                        <a href="<?php echo e(route('client.show', ['id' => $c->id])); ?>" class="btn btn-primary btn-fill"> <i class="pe-7s-look"></i></a>
                        &nbsp;
                        <a href="<?php echo e(route('client.edit', ['id' => $c->id])); ?>" class="btn btn-warning btn-fill"> <i class="pe-7s-pen"></i></a>
                        &nbsp;
                        <?php if(Auth::user()->type == 'Super Administrateur'): ?>
                          <a class="btn btn-danger modal-delete btn-fill" data-toggle="modal" data-target="#modal-delete" data-id_client="<?php echo e($c->id); ?>" style="color: #fff;"> 
                            <i class="pe-7s-trash"></i>
                          </a>
                        <?php endif; ?> 
                      </td>
                    </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

        
<!-- Modal -->
<div class="modal fade" id="show-modal-account" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"  data-backdrop="false" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h5 class="modal-title" id="exampleModalLabel">CONFIGURATION COMPTE CLIENT</h5>
            </div>
            <form action="<?php echo e(route('client.account.add')); ?>" method="post">
              <div class="modal-body">
              <?php echo e(csrf_field()); ?>

                  <input name="id_client" id="id_client_account" type="hidden"> 
                  <div class="row">
                    <div class="">
                      <label class="">Mot de Passe</label> <br /> 
                      <input type="password" id="password" class="<?php if($errors->has('password')): ?> bg-danger <?php endif; ?> form-control" name="password" value="<?php echo e(old('password')); ?>">
                      <?php if($errors->has('password')): ?>
                        <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                      <?php endif; ?>
                    </div>
                  </div>
                  <div class="row"> 
                    <div class="">
                      <label class="">Confirmation Mot de Passe</label> <br /> 
                      <input type="password" id="password_confirmation" class="<?php if($errors->has('password_confirmation')): ?> bg-danger <?php endif; ?> form-control" name="password_confirmation" value="<?php echo e(old('password_confirmation')); ?>">
                      <?php if($errors->has('password_confirmation')): ?>
                        <span class="text-danger"><?php echo e($errors->first('password_confirmation')); ?></span>
                      <?php endif; ?>
                    </div>
                  </div>
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="show-modal-delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"  data-backdrop="false"  aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr de vouloir le supprimer définitivement !</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="<?php echo e(route('client.delete')); ?>" method="post">
              <div class="modal-body">
              <?php echo e(csrf_field()); ?>

                  <input name="id_client" id="id_client" type="hidden"> 
              </div>
              <div class="modal-footer">
                  <input type="submit" class="btn btn-success btn-fill" value="Confirmer" />
                  <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Annuler</button>
              </div>
            </form>
        </div>
    </div>
</div>

<script> 
  $(document).ready( function () {
    $('#table').DataTable();
  }); 

  $(document).on('click', '.modal-account', function() {
    $('#show-modal-account').modal('show');
    $('#id_client_account').val($(this).data('id_client'));
  });

  $(document).on('click', '.modal-delete', function() {
    $('#show-modal-delete').modal('show');
    $('#id_client').val($(this).data('id_client'));
  });

</script>
<?php $__env->stopSection(); ?> 
<?php echo $__env->make('dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\gestImmo\resources\views/client/index.blade.php ENDPATH**/ ?>