<!doctype html>
<html lang="en">
<head>

    
	<meta charset="utf-8" />
	<link rel="icon" type="image/png" href="assets/img/favicon.ico">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<title>APIX FICHE DE RENSEIGNEMENT</title>
	<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
    <meta name="viewport" content="width=device-width" />

    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css">
    <script src="js/core/jquery.min.js"></script>

    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>

    <!-- Bootstrap core CSS     -->
    <link href="<?php echo e(URL::asset('assets/css/bootstrap.min.css')); ?>" rel="stylesheet" />

    <!-- Animation library for notifications   -->
    <link href="<?php echo e(URL::asset('assets/css/animate.min.css')); ?>" rel="stylesheet"/>

    <!--  Light Bootstrap Table core CSS    -->
    <link href="<?php echo e(URL::asset('assets/css/light-bootstrap-dashboard.css?v=1.4.0')); ?>" rel="stylesheet"/>

    <!--  CSS for Demo Purpose, don't include it in your project     -->
    <link href="<?php echo e(URL::asset('assets/css/demo.css')); ?>" rel="stylesheet" />

    <!--     Fonts and icons     -->
    <link href="<?php echo e(URL::asset('assets/css/pe-icon-7-stroke.css')); ?>" rel="stylesheet" /> 

       <!--     Chart    -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.css" /> 
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.js"></script> 
</head>
<body>

<div class="wrapper">
    <div class="sidebar" data-color="purple" data-image="assets/img/sidebar-5.jpg">
    <!--   you can change the color of the sidebar using: data-color="blue | azure | green | orange | red | purple" -->
    	<div class="sidebar-wrapper">
            <div class="logo">
                <a href="http://www.creative-tim.com" class="simple-text">
                    FICHE DE RENSEIGNEMENT
                </a>
            </div>

            <ul class="nav">        
                <li class="<?php if(strpos(Request::segment(1), 'eleve') !== false): ?> active <?php endif; ?>">
                    <a href="<?php echo e(route('eleve.index')); ?>">
                        <i class="pe-7s-user"></i>
                        <p>Eleve</p>
                    </a>
                </li>           
                <li class="<?php if(strpos(Request::segment(1), 'utilisateur') !== false): ?> active <?php endif; ?>">
                    <a href="<?php echo e(route('utilisateur.index')); ?>">
                        <i class="pe-7s-id"></i>
                        <p>Utilisateur</p>
                    </a>
                </li>
            </ul>
    	</div>
    </div>

    <div class="main-panel">
		<nav class="navbar navbar-default navbar-fixed">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navigation-example-2">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="#"></a>
                </div>
                <div class="collapse navbar-collapse">
                    <ul class="nav navbar-nav navbar-left">
                        <li>
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-dashboard"></i>
								<p class="hidden-lg hidden-md">Dashboard</p>
                            </a>
                        </li>
                       
                        <li>
                           <a href="">
                                <i class="fa fa-search"></i>
								<p class="hidden-lg hidden-md">Search</p>
                            </a>
                        </li>
                    </ul>

                    <ul class="nav navbar-nav navbar-right">
                        <li class="dropdown">
                              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <p>
										Mon Compte
										<b class="caret"></b>
									</p>
                              </a>
                              <ul class="dropdown-menu">
                                <li><a href="<?php echo e(route('profile.index')); ?>">Profil</a></li>
                               
                                <li><a href="<?php echo e(route('profile.edit')); ?>">Paramètre</a></li>
                                
                              </ul>
                        </li>
                        <li>
                            <form method="POST" action="<?php echo e(route('logout')); ?>">
                                <?php echo csrf_field(); ?>
                                <p style="padding-top: 3vh;">
                                    <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                                        this.closest('form').submit();" class="text-danger">
                                        <?php echo e(__('Se Deconnecté')); ?> 
                                    </a>
                                </p>
                            </form>
                        </li>
						<li class="separator hidden-lg hidden-md"></li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="content">
            <div class="container-fluid">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
        </div>

        <footer class="footer">
            <div class="container-fluid">
                <nav class="pull-left">
               
                </nav>
                <p class="copyright pull-right">
                    &copy; <script>document.write(new Date().getFullYear())</script> <a href="https://www.sen-services.com">Sen Services International</a>
                </p>
            </div>
        </footer>

    </div>
</div>


</body>

<?php if(Session::has('success')): ?>
        <script type="text/javascript">
            $(document).ready(function(){

                demo.initChartist();

                $.notify({
                    icon: '',
                    message: "<?php echo e(Session::get('success')); ?>"

                },{
                    type: 'success',
                    timer: 4000
                });

            });
        </script>
    <?php endif; ?>

    <?php if(Session::has('warning')): ?>
        <script type="text/javascript">
            $(document).ready(function(){

                demo.initChartist();

                $.notify({
                    icon: '',
                    message: "<?php echo e(Session::get('warning')); ?>"

                },{
                    type: 'warning',
                    timer: 4000
                });

            });
        </script>
    <?php endif; ?> 

    
    <?php if(Session::has('danger')): ?>
        <script type="text/javascript">
            $(document).ready(function(){

                demo.initChartist();

                $.notify({
                    icon: '',
                    message: "<?php echo e(Session::get('danger')); ?>"

                },{
                    type: 'danger',
                    timer: 4000
                });

            });
        </script>
    <?php endif; ?> 


    <?php if(Session::has('info')): ?>
        <script type="text/javascript">
            $(document).ready(function(){

                demo.initChartist();

                $.notify({
                    icon: '',
                    message: "<?php echo e(Session::get('info')); ?>"

                },{
                    type: 'info',
                    timer: 4000
                });

            });
        </script>
    <?php endif; ?> 

    <!--   Core JS Files   -->
    <script src="js/core/jquery.min.js"></script>
    <script src="js/plugins/jquery.dataTables.min.js"></script>
    <script src="js/core/popper.min.js"></script>
	<script src="assets/js/bootstrap.min.js" type="text/javascript"></script>

	<!--  Charts Plugin -->
	<script src="assets/js/chartist.min.js"></script>

    <!--  Notifications Plugin    -->
    <script src="assets/js/bootstrap-notify.js"></script>

    <!-- Light Bootstrap Table Core javascript and methods for Demo purpose -->
	<script src="assets/js/light-bootstrap-dashboard.js?v=1.4.0"></script>

	<!-- Light Bootstrap Table DEMO methods, don't include it in your project! -->
	<script src="assets/js/demo.js"></script>
    
      <!--  DataTables.net Plugin, full documentation here: https://datatables.net/  -->
  <script src="js/plugins/jquery.dataTables.min.js"></script>
</html>
<?php /**PATH C:\wamp64\www\Renseignement\resources\views/dashboard.blade.php ENDPATH**/ ?>